/* 推導普通話
 * https://github.com/BYVoid/ytenx/blob/master/ytenx/sync/kyonh/Dauh.txt
 *
 * 説明
 * 以下內容為生成推導普通話的函數體
 * 函數接受音韻地位，返回對應的推導普通話音
 * 部分音資料暫缺，以問號表示
 */

return {
  EAA: 'dong1',
  GAA: 'tong2',
  JBA: 'zhong1',
  LBA: 'chong2',
  XBA: 'zhong1',
  KBA: 'chong1',
  UBA: 'chong2',
  QBA: 'song1',
  cBA: 'rong2',
  dBA: 'jiong1',
  lBA: 'yong2',
  kBA: 'yong2',
  DBA: 'meng2',
  eBA: 'qiong1',
  fBA: 'qiong2',
  CBA: 'feng2',
  ABA: 'feng1',
  BBA: 'feng1',
  YBA: 'chong1',
  IBA: 'long2',
  eAA: 'kong1',
  dAA: 'gong1',
  DAA: 'meng2',
  IAA: 'long2',
  jAA: 'hong2',
  PAA: 'cong2',
  hAA: 'weng1',
  OAA: 'cong1',
  FAA: 'tong1',
  NAA: 'zong1',
  CAA: 'peng2',
  iAA: 'hong1',
  gAA: 'weng2',
  QAA: 'song1',
  ECA: 'dong1',
  GCA: 'tong2',
  PCA: 'cong2',
  HCA: 'nong2',
  dCA: 'gong1',
  jCA: 'hong2',
  ICA: 'long2',
  NCA: 'zong1',
  QCA: 'song1',
  FCA: 'tong1',
  XDA: 'zhong1',
  IDA: 'long2',
  aDA: 'shong1',
  RDA: 'song2',
  YDA: 'chong1',
  lDA: 'yong2',
  ADA: 'feng1',
  iDA: 'xiong1',
  gDA: 'yong2',
  hDA: 'yong1',
  MDA: 'nong2',
  LDA: 'chong2',
  PDA: 'cong2',
  KDA: 'chong1',
  CDA: 'feng2',
  BDA: 'feng1',
  NDA: 'zong1',
  cDA: 'rong2',
  fDA: 'qiong2',
  ZDA: 'chong2',
  dDA: 'jiong1',
  QDA: 'song1',
  ODA: 'cong1',
  eDA: 'qiong1',
  dEA: 'jiang1',
  DEA: 'mang2',
  MEA: 'nang2',
  TEA: 'chuang1',
  AEA: 'bang1',
  jEA: 'xiang2',
  BEA: 'pang1',
  IEA: 'lang2',
  VEA: 'shuang1',
  CEA: 'pang2',
  iEA: 'xiang1',
  hEA: 'yang1',
  eEA: 'qiang1',
  LEA: 'chuang2',
  KEA: 'chuang1',
  JEA: 'zhuang1',
  gEA: 'yang2',
  UEA: 'chuang2',
  XFA: 'zhi1',
  lFA: 'yi2',
  kFI: 'wei2',
  dFM: 'gui1',
  iFM: 'hui1',
  hFM: 'wei1',
  DFE: 'mi2',
  iFI: 'hui1',
  LFI: 'chui2',
  ZFI: 'chui2',
  IFI: 'lei2',
  YFI: 'chui1',
  BFE: 'pi1',
  AFE: 'bi1',
  RFI: 'sui2',
  eFM: 'kui1',
  eFI: 'kui1',
  fFE: 'qi2',
  fFA: 'qi2',
  iFE: 'xi1',
  eFE: 'qi1',
  gFE: 'yi2',
  CFE: 'pi2',
  ZFA: 'chi2',
  cFA: 'er2',
  IFA: 'li2',
  PFA: 'ci2',
  NFA: 'zi1',
  dFE: 'ji1',
  AFA: 'bi1',
  CFA: 'pi2',
  aFA: 'shi1',
  QFA: 'si1',
  TFA: 'chi1',
  KFA: 'chi1',
  DFA: 'mi2',
  OFA: 'ci1',
  JFA: 'zhi1',
  hFE: 'yi1',
  LFA: 'chi2',
  QFI: 'sui1',
  gFM: 'wei2',
  iFA: 'xi1',
  VFA: 'shi1',
  VFI: 'shuai1',
  cFI: 'rui2',
  dFI: 'gui1',
  NFI: 'zui1',
  TFI: 'chuai1',
  JFI: 'zhui1',
  YFA: 'chi1',
  SFA: 'zhi1',
  BFA: 'pi1',
  lFI: 'wei2',
  UFA: 'chi2',
  XGA: 'zhi1',
  lGA: 'yi2',
  VGA: 'shi1',
  CGA: 'pi2',
  NGA: 'zi1',
  dGE: 'ji1',
  YGA: 'chi1',
  KGA: 'chi1',
  OGA: 'ci1',
  PGA: 'ci2',
  MGA: 'ni2',
  LGA: 'chi2',
  QGA: 'si1',
  aGA: 'shi1',
  fGE: 'qi2',
  hGA: 'yi1',
  IGA: 'li2',
  fGI: 'kui2',
  JGI: 'zhui1',
  dGM: 'gui1',
  cGI: 'rui2',
  VGI: 'shuai1',
  lGI: 'wei2',
  IGI: 'lei2',
  QGI: 'sui1',
  fGM: 'kui2',
  DGE: 'mi2',
  AGE: 'bi1',
  XGI: 'zhui1',
  ZGI: 'chui2',
  kGI: 'wei2',
  CGE: 'pi2',
  BGE: 'pi1',
  iGI: 'hui1',
  LGI: 'chui2',
  JGA: 'zhi1',
  BGA: 'pi1',
  NGI: 'zui1',
  eGM: 'kui1',
  gGE: 'yi2',
  iGA: 'xi1',
  XHA: 'zhi1',
  lHA: 'yi2',
  ZHA: 'chi2',
  gHA: 'yi2',
  QHA: 'si1',
  THA: 'chi1',
  fHA: 'qi2',
  aHA: 'shi1',
  cHA: 'er2',
  eHA: 'qi1',
  dHA: 'ji1',
  RHA: 'si2',
  IHA: 'li2',
  SHA: 'zhi1',
  iHA: 'xi1',
  hHA: 'yi1',
  KHA: 'chi1',
  LHA: 'chi2',
  YHA: 'chi1',
  PHA: 'ci2',
  NHA: 'zi1',
  UHA: 'chi2',
  WHA: 'chi2',
  DIA: 'wei2',
  iII: 'hui1',
  kII: 'wei2',
  BIA: 'fei1',
  AIA: 'fei1',
  CIA: 'fei2',
  hII: 'wei1',
  fIA: 'qi2',
  dIA: 'ji1',
  iIA: 'xi1',
  hIA: 'yi1',
  gIA: 'yi2',
  gII: 'wei2',
  dII: 'gui1',
  eII: 'kui1',
  gJA: 'yu2',
  TJA: 'chu1',
  aJA: 'shu1',
  dJA: 'ju1',
  fJA: 'qu2',
  lJA: 'yu2',
  QJA: 'xu1',
  OJA: 'qu1',
  UJA: 'chu2',
  KJA: 'chu1',
  VJA: 'shu1',
  iJA: 'xu1',
  RJA: 'xu2',
  hJA: 'yu1',
  JJA: 'zhu1',
  IJA: 'lü2',
  XJA: 'zhu1',
  LJA: 'chu2',
  cJA: 'ru2',
  NJA: 'ju1',
  eJA: 'qu1',
  SJA: 'zhu1',
  ZJA: 'chu2',
  MJA: 'nü2',
  gKA: 'yu2',
  TKA: 'chu1',
  DKA: 'wu2',
  kKA: 'yu2',
  iKA: 'xu1',
  fKA: 'qu2',
  cKA: 'ru2',
  QKA: 'xu1',
  JKA: 'zhu1',
  KKA: 'chu1',
  ZKA: 'chu2',
  lKA: 'yu2',
  eKA: 'qu1',
  XKA: 'zhu1',
  OKA: 'qu1',
  IKA: 'lü2',
  CKA: 'fu2',
  UKA: 'chu2',
  SKA: 'zhu1',
  BKA: 'fu1',
  NKA: 'ju1',
  AKA: 'fu1',
  hKA: 'yu1',
  aKA: 'shu1',
  YKA: 'chu1',
  LKA: 'chu2',
  dKA: 'ju1',
  VKA: 'shu1',
  DLA: 'mu2',
  CLA: 'pu2',
  jLA: 'hu2',
  dLA: 'gu1',
  GLA: 'tu2',
  HLA: 'nu2',
  iLA: 'hu1',
  gLA: 'wu2',
  NLA: 'zu1',
  ILA: 'lu2',
  QLA: 'su1',
  PLA: 'cu2',
  hLA: 'wu1',
  ALA: 'bu1',
  eLA: 'ku1',
  OLA: 'cu1',
  FLA: 'tu1',
  ELA: 'du1',
  BLA: 'pu1',
  PMA: 'qi2',
  IMA: 'li2',
  OMA: 'qi1',
  EMA: 'di1',
  GMA: 'ti2',
  AMA: 'bi1',
  dMA: 'ji1',
  jMA: 'xi2',
  hMA: 'yi1',
  gMA: 'yi2',
  iMA: 'xi1',
  QMA: 'xi1',
  FMA: 'ti1',
  CMA: 'pi2',
  BMA: 'pi1',
  NMA: 'ji1',
  DMA: 'mi2',
  HMA: 'ni2',
  eMA: 'qi1',
  dMI: 'gui1',
  eMI: 'kui1',
  jMI: 'hui2',
  hMI: 'wei1',
  iMI: 'hui1',
  dPA: 'jia1',
  jPA: 'xia2',
  CPA: 'pai2',
  dPI: 'gua1',
  hPI: 'wa1',
  ePI: 'kua1',
  UPA: 'chai2',
  TPA: 'chai1',
  iPI: 'hua1',
  MPA: 'nai2',
  gPA: 'ya2',
  hPA: 'ya1',
  VPA: 'shai1',
  iPA: 'xia1',
  KPA: 'chai1',
  DPA: 'mai2',
  jPI: 'hua2',
  dQA: 'jie1',
  hQA: 'ye1',
  jQA: 'xie2',
  CQA: 'pai2',
  dQI: 'guai1',
  jQI: 'huai2',
  eQI: 'kuai1',
  UQA: 'chai2',
  TQA: 'chai1',
  iQI: 'huai1',
  LQI: 'chuai2',
  DQA: 'mai2',
  SQA: 'zhai1',
  hQI: 'wai1',
  JQA: 'zhai1',
  IQA: 'lai2',
  eQA: 'qie1',
  MQA: 'nai2',
  VQA: 'shai1',
  gQA: 'ye2',
  KQA: 'chai1',
  iQA: 'xie1',
  IQI: 'lai2',
  UQI: 'chuai2',
  iSI: 'hui1',
  eSI: 'kui1',
  hSI: 'wei1',
  jSI: 'hui2',
  DSA: 'mei2',
  dSI: 'gui1',
  ISI: 'lei2',
  GSI: 'tui2',
  OSI: 'cui1',
  ESI: 'dui1',
  QSI: 'sui1',
  PSI: 'cui2',
  CSA: 'pei2',
  ASA: 'bei1',
  BSA: 'pei1',
  gSI: 'wei2',
  FSI: 'tui1',
  HSI: 'nei2',
  NSI: 'zui1',
  iTA: 'hai1',
  eTA: 'kai1',
  hTA: 'ai1',
  GTA: 'tai2',
  dTA: 'gai1',
  PTA: 'cai2',
  ITA: 'lai2',
  NTA: 'zai1',
  OTA: 'cai1',
  CTA: 'pei2',
  FTA: 'tai1',
  jTA: 'hai2',
  QTA: 'sai1',
  gTA: 'ai2',
  HTA: 'nai2',
  ETA: 'dai1',
  BTA: 'pei1',
  XVA: 'zhen1',
  KVA: 'chen1',
  hVA: 'yin1',
  QVA: 'xin1',
  ZVA: 'chen2',
  cVA: 'ren2',
  bVA: 'chen2',
  OVA: 'qin1',
  kVA: 'yin2',
  aVA: 'shen1',
  AVA: 'bin1',
  IVA: 'lin2',
  fVE: 'qin2',
  JVA: 'zhen1',
  LVA: 'chen2',
  NVA: 'jin1',
  YVA: 'chen1',
  PVA: 'qin2',
  lVA: 'yin2',
  MVA: 'nin2',
  BVA: 'pin1',
  CVA: 'pin2',
  gVE: 'yin2',
  dVE: 'jin1',
  dVM: 'jun1',
  kVI: 'yun2',
  eVM: 'qun1',
  DVE: 'min2',
  CVE: 'pin2',
  hVE: 'yin1',
  hVM: 'yun1',
  AVE: 'bin1',
  DVA: 'min2',
  XVI: 'zhun1',
  KVI: 'chun1',
  LVI: 'chun2',
  QVI: 'xun1',
  ZVI: 'chun2',
  cVI: 'run2',
  bVI: 'chun2',
  IVI: 'lun2',
  JVI: 'zhun1',
  OVI: 'qun1',
  NVI: 'jun1',
  YVI: 'chun1',
  PVI: 'qun2',
  lVI: 'yun2',
  RVI: 'xun2',
  dVI: 'jun1',
  fVA: 'qin2',
  BVE: 'pin1',
  SWA: 'zhen1',
  VWA: 'shen1',
  UWA: 'chen2',
  DXA: 'wen2',
  kXI: 'yun2',
  hXI: 'yun1',
  CXA: 'fen2',
  AXA: 'fen1',
  fXI: 'qun2',
  iXI: 'xun1',
  dXI: 'jun1',
  BXA: 'fen1',
  iYA: 'xin1',
  hYA: 'yin1',
  fYA: 'qin2',
  dYA: 'jin1',
  gYA: 'yin2',
  gZI: 'yuan2',
  kZI: 'yuan2',
  CZA: 'fan2',
  BZA: 'fan1',
  iZI: 'xuan1',
  hZI: 'yuan1',
  gZA: 'yan2',
  eZA: 'qian1',
  iZA: 'xian1',
  dZA: 'jian1',
  hZA: 'yan1',
  AZA: 'fan1',
  fZA: 'qian2',
  DZA: 'wan2',
  jaI: 'hun2',
  daI: 'gun1',
  haI: 'wen1',
  DaA: 'men2',
  QaI: 'sun1',
  NaI: 'zun1',
  PaI: 'cun2',
  EaI: 'dun1',
  FaI: 'tun1',
  GaI: 'tun2',
  OaI: 'cun1',
  gaI: 'wen2',
  CaA: 'pen2',
  AaA: 'ben1',
  IaI: 'lun2',
  eaI: 'kun1',
  iaI: 'hun1',
  BaA: 'pen1',
  HaI: 'nun2',
  jbA: 'hen2',
  dbA: 'gen1',
  hbA: 'en1',
  FbA: 'tun1',
  gbA: 'en2',
  jcA: 'han2',
  gcA: 'an2',
  EcA: 'dan1',
  hcA: 'an1',
  HcA: 'nan2',
  OcA: 'can1',
  FcA: 'tan1',
  QcA: 'san1',
  GcA: 'tan2',
  PcA: 'can2',
  dcA: 'gan1',
  IcA: 'lan2',
  ecA: 'kan1',
  icA: 'han1',
  HcI: 'nuan2',
  jcI: 'huan2',
  gcI: 'wan2',
  EcI: 'duan1',
  hcI: 'wan1',
  FcI: 'tuan1',
  QcI: 'suan1',
  GcI: 'tuan2',
  PcI: 'cuan2',
  dcI: 'guan1',
  IcI: 'luan2',
  icI: 'huan1',
  ecI: 'kuan1',
  NcI: 'zuan1',
  CcA: 'pan2',
  DcA: 'man2',
  BcA: 'pan1',
  AcA: 'ban1',
  VdA: 'shan1',
  ddI: 'guan1',
  hdI: 'wan1',
  VdI: 'shuan1',
  jdI: 'huan2',
  AdA: 'ban1',
  DdA: 'man2',
  gdA: 'yan2',
  ddA: 'jian1',
  BdA: 'pan1',
  MdI: 'nuan2',
  gdI: 'wan2',
  edA: 'qian1',
  SdI: 'zhuan1',
  VeA: 'shan1',
  deI: 'guan1',
  deA: 'jian1',
  jeA: 'xian2',
  eeA: 'qian1',
  UeA: 'chan2',
  ieA: 'xian1',
  geA: 'yan2',
  heA: 'yan1',
  AeA: 'ban1',
  IeA: 'lan2',
  MeA: 'nan2',
  IeI: 'luan2',
  JeA: 'zhan1',
  LeA: 'chan2',
  jeI: 'huan2',
  QgA: 'xian1',
  PgA: 'qian2',
  OgA: 'qian1',
  NgA: 'jian1',
  FgA: 'tian1',
  dgA: 'jian1',
  jgA: 'xian2',
  hgA: 'yan1',
  IgA: 'lian2',
  GgA: 'tian2',
  HgA: 'nian2',
  EgA: 'dian1',
  egA: 'qian1',
  ggA: 'yan2',
  DgA: 'mian2',
  CgA: 'pian2',
  hgI: 'yuan1',
  dgI: 'juan1',
  igI: 'xuan1',
  AgA: 'bian1',
  jgI: 'xuan2',
  igA: 'xian1',
  QfA: 'xian1',
  PfA: 'qian2',
  OfA: 'qian1',
  NfA: 'jian1',
  cfA: 'ran2',
  lfA: 'yan2',
  XfA: 'zhan1',
  dfA: 'jian1',
  JfA: 'zhan1',
  UfA: 'chan2',
  afA: 'shan1',
  KfA: 'chan1',
  ZfA: 'chan2',
  LfA: 'chan2',
  ifA: 'xian1',
  IfA: 'lian2',
  BfA: 'pian1',
  CfA: 'pian2',
  DfA: 'mian2',
  PfI: 'quan2',
  QfI: 'xuan1',
  NfI: 'juan1',
  ifI: 'xuan1',
  cfI: 'ruan2',
  YfI: 'chuan1',
  lfI: 'yuan2',
  RfI: 'xuan2',
  hfI: 'yuan1',
  bfI: 'chuan2',
  AfA: 'bian1',
  RfA: 'xian2',
  OfI: 'quan1',
  XfI: 'zhuan1',
  ZfI: 'chuan2',
  kfI: 'yuan2',
  SfI: 'zhuan1',
  VfI: 'shuan1',
  KfI: 'chuan1',
  ffE: 'qian2',
  efE: 'qian1',
  ffM: 'quan2',
  LfI: 'chuan2',
  IfI: 'luan2',
  efM: 'quan1',
  hfE: 'yan1',
  kfA: 'yan2',
  hfM: 'yuan1',
  YfA: 'chan2',
  JfI: 'zhuan1',
  dfM: 'juan1',
  QhA: 'xiao1',
  FhA: 'tiao1',
  EhA: 'diao1',
  GhA: 'tiao2',
  dhA: 'jiao1',
  IhA: 'liao2',
  ghA: 'yao2',
  ihA: 'xiao1',
  hhA: 'yao1',
  ehA: 'qiao1',
  QiA: 'xiao1',
  KiA: 'chao1',
  JiA: 'zhao1',
  LiA: 'chao2',
  iiE: 'xiao1',
  PiA: 'qiao2',
  diE: 'jiao1',
  NiA: 'jiao1',
  ciA: 'rao2',
  aiA: 'shao1',
  liA: 'yao2',
  ZiA: 'chao2',
  XiA: 'zhao1',
  AiA: 'biao1',
  AiE: 'biao1',
  CiA: 'piao2',
  DiA: 'miao2',
  DiE: 'miao2',
  hiA: 'yao1',
  kiA: 'yao2',
  fiE: 'qiao2',
  OiA: 'qiao1',
  hiE: 'yao1',
  eiA: 'qiao1',
  YiA: 'chao1',
  BiA: 'piao1',
  fiA: 'qiao2',
  IiA: 'liao2',
  eiE: 'qiao1',
  jjA: 'xiao2',
  djA: 'jiao1',
  UjA: 'chao2',
  MjA: 'nao2',
  VjA: 'shao1',
  DjA: 'mao2',
  ijA: 'xiao1',
  AjA: 'bao1',
  BjA: 'pao1',
  ejA: 'qiao1',
  gjA: 'yao2',
  SjA: 'zhao1',
  JjA: 'zhao1',
  TjA: 'chao1',
  CjA: 'pao2',
  hjA: 'yao1',
  KjA: 'chao1',
  IjA: 'lao2',
  LjA: 'chao2',
  jkA: 'hao2',
  dkA: 'gao1',
  IkA: 'lao2',
  ikA: 'hao1',
  DkA: 'mao2',
  FkA: 'tao1',
  EkA: 'dao1',
  QkA: 'sao1',
  CkA: 'pao2',
  AkA: 'bao1',
  GkA: 'tao2',
  NkA: 'zao1',
  gkA: 'ao2',
  PkA: 'cao2',
  hkA: 'ao1',
  HkA: 'nao2',
  ekA: 'kao1',
  OkA: 'cao1',
  BkA: 'pao1',
  dlA: 'ge1',
  OlA: 'cuo1',
  ElA: 'duo1',
  QlA: 'suo1',
  GlA: 'tuo2',
  PlA: 'cuo2',
  glA: 'e2',
  FlA: 'tuo1',
  IlA: 'luo2',
  HlA: 'nuo2',
  jlA: 'he2',
  ilA: 'he1',
  elA: 'ke1',
  hlA: 'e1',
  dlI: 'guo1',
  OlI: 'cuo1',
  ElI: 'duo1',
  QlI: 'suo1',
  ClA: 'po2',
  GlI: 'tuo2',
  DlA: 'mo2',
  PlI: 'cuo2',
  glI: 'wo2',
  FlI: 'tuo1',
  IlI: 'luo2',
  HlI: 'nuo2',
  AlA: 'bo1',
  BlA: 'po1',
  jlI: 'huo2',
  elI: 'kuo1',
  hlI: 'wo1',
  imI: 'xue1',
  hmI: 'yue1',
  emI: 'que1',
  fmA: 'qie2',
  emA: 'qie1',
  dmA: 'jie1',
  OmI: 'que1',
  NmI: 'jue1',
  fmI: 'que2',
  ImI: 'lüe2',
  DnA: 'ma2',
  YoA: 'che1',
  aoA: 'she1',
  loA: 'ye2',
  XoA: 'zhe1',
  NoA: 'jie1',
  boA: 'che2',
  jnI: 'hua2',
  dnI: 'gua1',
  inI: 'hua1',
  enI: 'kua1',
  MnA: 'na2',
  dnA: 'jia1',
  jnA: 'xia2',
  BnA: 'pa1',
  hnA: 'ya1',
  AnA: 'ba1',
  TnA: 'cha1',
  VnA: 'sha1',
  gnA: 'ya2',
  SnA: 'zha1',
  LnA: 'cha2',
  RoA: 'xie2',
  ZoA: 'che2',
  hnI: 'wa1',
  SnI: 'zhua1',
  JnI: 'zhua1',
  CnA: 'pa2',
  UnA: 'cha2',
  KnA: 'cha1',
  JnA: 'zha1',
  inA: 'xia1',
  enA: 'qia1',
  PoA: 'qie2',
  coA: 're2',
  QoA: 'xie1',
  JoA: 'zhe1',
  gnI: 'wa2',
  lpA: 'yang2',
  RpA: 'xiang2',
  IpA: 'liang2',
  ipA: 'xiang1',
  apA: 'shang1',
  CpA: 'fang2',
  XpA: 'zhang1',
  YpA: 'chang1',
  epA: 'qiang1',
  dpA: 'jiang1',
  LpA: 'chang2',
  JpA: 'zhang1',
  cpA: 'rang2',
  ApA: 'fang1',
  QpA: 'xiang1',
  NpA: 'jiang1',
  TpA: 'chuang1',
  DpA: 'wang2',
  MpA: 'niang2',
  UpA: 'chuang2',
  SpA: 'zhuang1',
  ZpA: 'chang2',
  VpA: 'shuang1',
  PpA: 'qiang2',
  OpA: 'qiang1',
  epI: 'kuang1',
  kpI: 'wang2',
  hpA: 'yang1',
  fpA: 'qiang2',
  KpA: 'chang1',
  BpA: 'fang1',
  fpI: 'kuang2',
  GqA: 'tang2',
  IqA: 'lang2',
  EqA: 'dang1',
  OqA: 'cang1',
  dqA: 'gang1',
  QqA: 'sang1',
  eqA: 'kang1',
  iqI: 'huang1',
  jqI: 'huang2',
  dqI: 'guang1',
  FqA: 'tang1',
  BqA: 'pang1',
  hqI: 'wang1',
  hqA: 'ang1',
  iqA: 'hang1',
  jqA: 'hang2',
  DqA: 'mang2',
  NqA: 'zang1',
  HqA: 'nang2',
  CqA: 'pang2',
  gqA: 'ang2',
  PqA: 'cang2',
  eqI: 'kuang1',
  AqA: 'bang1',
  drA: 'geng1',
  erA: 'keng1',
  DrA: 'meng2',
  jrI: 'hong2',
  ArA: 'beng1',
  irI: 'hong1',
  drI: 'gong1',
  CrA: 'peng2',
  irA: 'heng1',
  KrA: 'cheng1',
  TrA: 'cheng1',
  UrA: 'cheng2',
  hsA: 'ying1',
  BrA: 'ping1',
  CsA: 'ping2',
  dsA: 'jing1',
  DsA: 'ming2',
  LrA: 'cheng2',
  JrA: 'zheng1',
  ksI: 'yong2',
  AsA: 'bing1',
  isI: 'xiong1',
  esA: 'qing1',
  VrA: 'sheng1',
  fsA: 'qing2',
  gsA: 'ying2',
  jrA: 'heng2',
  MrA: 'neng2',
  dtA: 'geng1',
  etA: 'keng1',
  DtA: 'meng2',
  AtA: 'beng1',
  jtI: 'hong2',
  jtA: 'heng2',
  JtA: 'zheng1',
  htA: 'eng1',
  UtA: 'cheng2',
  TtA: 'cheng1',
  MtA: 'neng2',
  BtA: 'peng1',
  itI: 'hong1',
  LtA: 'cheng2',
  htI: 'weng1',
  CtA: 'peng2',
  gtA: 'eng2',
  StA: 'zheng1',
  OuA: 'qing1',
  PuA: 'qing2',
  NuA: 'jing1',
  luA: 'ying2',
  luI: 'yong2',
  huA: 'ying1',
  JuA: 'zheng1',
  KuA: 'cheng1',
  ZuA: 'cheng2',
  LuA: 'cheng2',
  auA: 'sheng1',
  XuA: 'zheng1',
  euA: 'qing1',
  DuA: 'ming2',
  IuA: 'ling2',
  AuA: 'bing1',
  euI: 'qiong1',
  RuA: 'xing2',
  huI: 'yong1',
  fuI: 'qiong2',
  QuI: 'xing1',
  fuA: 'qing2',
  iuI: 'xiong1',
  OvA: 'qing1',
  dvA: 'jing1',
  jvA: 'xing2',
  GvA: 'ting2',
  EvA: 'ding1',
  ivA: 'xing1',
  QvA: 'xing1',
  BvA: 'ping1',
  IvA: 'ling2',
  HvA: 'ning2',
  FvA: 'ting1',
  DvA: 'ming2',
  CvA: 'ping2',
  jvI: 'xiong2',
  dvI: 'jiong1',
  XwA: 'zheng1',
  ZwA: 'cheng2',
  LwA: 'cheng2',
  IwA: 'ling2',
  hwA: 'ying1',
  CwA: 'ping2',
  AwA: 'bing1',
  lwA: 'ying2',
  bwA: 'cheng2',
  awA: 'sheng1',
  cwA: 'reng2',
  dwA: 'jing1',
  JwA: 'zheng1',
  PwA: 'qing2',
  gwA: 'ying2',
  iwA: 'xing1',
  YwA: 'cheng1',
  fwA: 'qing2',
  VwA: 'sheng1',
  ewA: 'qing1',
  KwA: 'cheng1',
  UwA: 'cheng2',
  BwA: 'ping1',
  ExA: 'deng1',
  IxA: 'leng2',
  QxA: 'seng1',
  AxA: 'beng1',
  NxA: 'zeng1',
  DxA: 'meng2',
  PxA: 'ceng2',
  CxA: 'peng2',
  jxI: 'hong2',
  dxI: 'gong1',
  ixI: 'hong1',
  HxA: 'neng2',
  GxA: 'teng2',
  jxA: 'heng2',
  dxA: 'geng1',
  FxA: 'teng1',
  BxA: 'peng1',
  kyA: 'you2',
  hyA: 'you1',
  IyA: 'liu2',
  OyA: 'qiu1',
  lyA: 'you2',
  gyA: 'you2',
  NyA: 'jiu1',
  PyA: 'qiu2',
  QyA: 'xiu1',
  KyA: 'chou1',
  eyA: 'qiu1',
  YyA: 'chou1',
  XyA: 'zhou1',
  ZyA: 'chou2',
  cyA: 'rou2',
  ayA: 'shou1',
  ByA: 'fou1',
  dyA: 'jiu1',
  AyA: 'fou1',
  VyA: 'shou1',
  TyA: 'chou1',
  SyA: 'zhou1',
  UyA: 'chou2',
  iyA: 'xiu1',
  RyA: 'xiu2',
  LyA: 'chou2',
  JyA: 'zhou1',
  fyA: 'qiu2',
  CyA: 'fou2',
  DyA: 'miu2',
  jzA: 'hou2',
  hzA: 'ou1',
  HzA: 'nou2',
  IzA: 'lou2',
  QzA: 'sou1',
  ezA: 'kou1',
  izA: 'hou1',
  NzA: 'zou1',
  FzA: 'tou1',
  GzA: 'tou2',
  gzA: 'ou2',
  dzA: 'gou1',
  EzA: 'dou1',
  PzA: 'cou2',
  CzA: 'pou2',
  OzA: 'cou1',
  DzA: 'mou2',
  h0A: 'you1',
  f0A: 'qiu2',
  A0A: 'biao1',
  I0A: 'liu2',
  d0A: 'jiu1',
  C0A: 'piao2',
  N0A: 'jiu1',
  V0A: 'shou1',
  g0A: 'you2',
  i0A: 'xiu1',
  D0A: 'miao2',
  O1A: 'qin1',
  R1A: 'xin2',
  I1A: 'lin2',
  K1A: 'chen1',
  X1A: 'zhen1',
  L1A: 'chen2',
  J1A: 'zhen1',
  Z1A: 'chen2',
  c1A: 'ren2',
  a1A: 'shen1',
  l1A: 'yin2',
  Q1A: 'xin1',
  h1A: 'yin1',
  N1A: 'jin1',
  P1A: 'qin2',
  M1A: 'nin2',
  f1E: 'qin2',
  e1E: 'qin1',
  g1E: 'yin2',
  i1E: 'xin1',
  d1E: 'jin1',
  h1E: 'yin1',
  V1A: 'shen1',
  U1A: 'chen2',
  S1A: 'zhen1',
  T1A: 'chen1',
  Y1A: 'chen1',
  G2A: 'tan2',
  O2A: 'can1',
  H2A: 'nan2',
  h2A: 'an1',
  j2A: 'han2',
  I2A: 'lan2',
  P2A: 'can2',
  N2A: 'zan1',
  F2A: 'tan1',
  E2A: 'dan1',
  e2A: 'kan1',
  i2A: 'han1',
  Q2A: 'san1',
  d2A: 'gan1',
  g2A: 'an2',
  G3A: 'tan2',
  d3A: 'gan1',
  E3A: 'dan1',
  Q3A: 'san1',
  I3A: 'lan2',
  e3A: 'kan1',
  F3A: 'tan1',
  P3A: 'can2',
  j3A: 'han2',
  D3A: 'man2',
  i3A: 'han1',
  l4A: 'yan2',
  I4A: 'lian2',
  A4E: 'bian1',
  Q4A: 'xian1',
  O4A: 'qian1',
  X4A: 'zhan1',
  Z4A: 'chan2',
  a4A: 'shan1',
  Y4A: 'chan1',
  c4A: 'ran2',
  M4A: 'nian2',
  k4A: 'yan2',
  J4A: 'zhan1',
  K4A: 'chan1',
  h4E: 'yan1',
  e4E: 'qian1',
  g4E: 'yan2',
  N4A: 'jian1',
  P4A: 'qian2',
  f4E: 'qian2',
  h4A: 'yan1',
  R4A: 'xian2',
  V4A: 'shan1',
  L4A: 'chan2',
  f4A: 'qian2',
  F5A: 'tian1',
  E5A: 'dian1',
  G5A: 'tian2',
  I5A: 'lian2',
  e5A: 'qian1',
  d5A: 'jian1',
  j5A: 'xian2',
  H5A: 'nian2',
  i5A: 'xian1',
  j6A: 'xian2',
  d6A: 'jian1',
  V6A: 'shan1',
  h6A: 'yan1',
  g6A: 'yan2',
  i6A: 'xian1',
  J6A: 'zhan1',
  M6A: 'nan2',
  U6A: 'chan2',
  e6A: 'qian1',
  j7A: 'xian2',
  U7A: 'chan2',
  g7A: 'yan2',
  T7A: 'chan1',
  V7A: 'shan1',
  d7A: 'jian1',
  C7A: 'pan2',
  e7A: 'qian1',
  g8A: 'yan2',
  i8A: 'xian1',
  h8A: 'yan1',
  e8A: 'qian1',
  C9A: 'fan2',
  B9A: 'fan1',
  EAB: 'dong3',
  DAB: 'meng3',
  eAB: 'kong3',
  QAB: 'song3',
  FAB: 'tong3',
  NAB: 'zong3',
  jAB: 'hong4',
  hAB: 'weng3',
  HAB: 'nong3',
  AAB: 'beng3',
  IAB: 'long3',
  iAB: 'hong3',
  GAB: 'dong4',
  CAB: 'beng4',
  XDB: 'zhong3',
  KDB: 'chong3',
  IDB: 'long3',
  hDB: 'yong3',
  cDB: 'rong3',
  LDB: 'zhong4',
  JDB: 'zhong3',
  CDB: 'feng4',
  BDB: 'feng3',
  lDB: 'yong3',
  eDB: 'qiong3',
  ZDB: 'shung4',
  dDB: 'jiong3',
  QDB: 'song3',
  iDB: 'xiong3',
  ADB: 'feng3',
  ECB: 'dong3',
  DCB: 'meng3',
  fDB: 'jiong4',
  YDB: 'chong3',
  NDB: 'zong3',
  dEB: 'jiang3',
  CEB: 'bang4',
  hEB: 'yang3',
  DEB: 'mang3',
  jEB: 'xiang4',
  AEB: 'bang3',
  iEB: 'xiang3',
  XFB: 'zhi3',
  ZFB: 'shi4',
  DFF: 'mi3',
  AFF: 'bi3',
  CFF: 'pi4',
  iFN: 'hui3',
  hFN: 'wei3',
  eFN: 'kui3',
  dFN: 'gui3',
  QFJ: 'sui3',
  IFJ: 'lei3',
  fFF: 'ji4',
  hFF: 'yi3',
  dFF: 'ji3',
  eFF: 'qi3',
  gFF: 'yi3',
  kFJ: 'wei3',
  NFJ: 'zui3',
  cFJ: 'rui3',
  OFB: 'ci3',
  LFB: 'zhi4',
  QFB: 'si3',
  lFB: 'yi3',
  IFB: 'li3',
  VFB: 'shi3',
  AFB: 'bi3',
  cFB: 'er3',
  DFB: 'mi3',
  CFB: 'pi4',
  YFB: 'chi3',
  aFB: 'shi3',
  NFB: 'zi3',
  XFJ: 'zhui3',
  TFJ: 'chuai3',
  RFJ: 'sui4',
  bFB: 'shi4',
  SFB: 'zhi3',
  BFF: 'pi3',
  BFB: 'pi3',
  lFJ: 'wei3',
  PFJ: 'zui4',
  eFJ: 'kui3',
  MFB: 'ni3',
  gFN: 'wei3',
  fFN: 'gui4',
  KFB: 'chi3',
  JFB: 'zhi3',
  iFF: 'xi3',
  eFB: 'kui3',
  ZFJ: 'shui4',
  dFB: 'ji3',
  XGB: 'zhi3',
  ZGB: 'shi4',
  DGF: 'mi3',
  AGF: 'bi3',
  RGB: 'si4',
  dGF: 'ji3',
  NGB: 'zi3',
  AGB: 'bi3',
  dGN: 'gui3',
  kGJ: 'wei3',
  aGB: 'shi3',
  LGB: 'zhi4',
  QGB: 'si3',
  CGB: 'bi4',
  IGB: 'li3',
  aGJ: 'shui3',
  IGJ: 'lei3',
  fGJ: 'gui4',
  OGJ: 'cui3',
  MGB: 'ni3',
  dGJ: 'gui3',
  CGF: 'bi4',
  PGJ: 'zui4',
  BGF: 'pi3',
  cGJ: 'rui3',
  lGJ: 'wei3',
  hGF: 'yi3',
  NGJ: 'zui3',
  JGB: 'zhi3',
  KGB: 'chi3',
  iGJ: 'hui3',
  fGN: 'gui3',
  fGF: 'ji4',
  eGN: 'kui3',
  XHB: 'zhi3',
  ZHB: 'shi4',
  JHB: 'zhi3',
  iHB: 'xi3',
  dHB: 'ji3',
  lHB: 'yi3',
  RHB: 'si4',
  VHB: 'shi3',
  cHB: 'er3',
  IHB: 'li3',
  QHB: 'si3',
  aHB: 'shi3',
  LHB: 'zhi4',
  eHB: 'qi3',
  UHB: 'shi4',
  WHB: 'shi4',
  NHB: 'zi3',
  kHB: 'yi3',
  gHB: 'yi3',
  YHB: 'chi3',
  KHB: 'chi3',
  THB: 'chi3',
  SHB: 'zhi3',
  hHB: 'yi3',
  MHB: 'ni3',
  DIB: 'wei3',
  hIB: 'yi3',
  eIB: 'qi3',
  dIB: 'ji3',
  BIB: 'fei3',
  AIB: 'fei3',
  kIJ: 'wei3',
  dIJ: 'gui3',
  iIJ: 'hui3',
  gIB: 'yi3',
  iIB: 'xi3',
  hIJ: 'wei3',
  CIB: 'fei4',
  gJB: 'yu3',
  IJB: 'lü3',
  LJB: 'zhu4',
  lJB: 'yu3',
  XJB: 'zhu3',
  cJB: 'ru3',
  aJB: 'shu3',
  YJB: 'chu3',
  JJB: 'zhu3',
  QJB: 'xu3',
  KJB: 'chu3',
  MJB: 'nü3',
  iJB: 'xu3',
  fJB: 'ju4',
  VJB: 'shu3',
  TJB: 'chu3',
  SJB: 'zhu3',
  UJB: 'shu4',
  PJB: 'ju4',
  hJB: 'yu3',
  dJB: 'ju3',
  RJB: 'xu4',
  eJB: 'qu3',
  bJB: 'shu4',
  ZJB: 'shu4',
  OJB: 'qu3',
  NJB: 'ju3',
  gKB: 'yu3',
  kKB: 'yu3',
  PKB: 'ju4',
  AKB: 'fu3',
  DKB: 'wu3',
  CKB: 'fu4',
  BKB: 'fu3',
  LKB: 'zhu4',
  iKB: 'xu3',
  ZKB: 'shu4',
  lKB: 'yu3',
  XKB: 'zhu3',
  hKB: 'yu3',
  eKB: 'qu3',
  JKB: 'zhu3',
  cKB: 'ru3',
  fKB: 'ju4',
  VKB: 'shu3',
  dKB: 'ju3',
  OKB: 'qu3',
  IKB: 'lü3',
  QKB: 'xu3',
  UKB: 'shu4',
  DLB: 'mu3',
  FLB: 'tu3',
  GLB: 'du4',
  ILB: 'lu3',
  OLB: 'cu3',
  ELB: 'du3',
  dLB: 'gu3',
  gLB: 'wu3',
  CLB: 'bu4',
  PLB: 'zu4',
  NLB: 'zu3',
  iLB: 'hu3',
  hLB: 'wu3',
  eLB: 'ku3',
  HLB: 'nu3',
  jLB: 'hu4',
  BLB: 'pu3',
  ALB: 'bu3',
  PMB: 'ji4',
  IMB: 'li3',
  FMB: 'ti3',
  BMB: 'pi3',
  NMB: 'ji3',
  EMB: 'di3',
  GMB: 'di4',
  HMB: 'ni3',
  QMB: 'xi3',
  OMB: 'qi3',
  eMB: 'qi3',
  jMB: 'xi3',
  DMB: 'mi3',
  CMB: 'bi4',
  hMB: 'yi3',
  gMB: 'yi3',
  AMB: 'bi3',
  jPB: 'xia4',
  DPB: 'mai3',
  ePB: 'qia3',
  LPB: 'zhai4',
  MPB: 'nai3',
  CPB: 'bai3',
  hPB: 'ya3',
  APB: 'bai3',
  dPB: 'jia3',
  VPB: 'shai3',
  dPJ: 'gua3',
  LPJ: 'zhuai4',
  jPJ: 'hua4',
  iPJ: 'hua3',
  jQB: 'xie4',
  eQB: 'qie3',
  gQB: 'ye3',
  hQB: 'ye3',
  iSJ: 'hui3',
  hSJ: 'wei3',
  ISJ: 'lei3',
  GSJ: 'dui4',
  PSJ: 'zui4',
  DSB: 'mei3',
  FSJ: 'tui3',
  jSJ: 'hui4',
  eSJ: 'kui3',
  ESJ: 'dui3',
  HSJ: 'nei3',
  gSJ: 'wei3',
  OSJ: 'cui3',
  CSB: 'bei4',
  NSJ: 'zui3',
  iTB: 'hai3',
  eTB: 'kai3',
  NTB: 'zai3',
  GTB: 'dai4',
  HTB: 'nai3',
  dTB: 'gai3',
  jTB: 'hai4',
  BTB: 'pei3',
  OTB: 'cai3',
  ETB: 'dai3',
  DTB: 'mei3',
  PTB: 'zai4',
  hTB: 'ai3',
  FTB: 'tai3',
  ITB: 'lai3',
  CTB: 'bei4',
  XVB: 'zhen3',
  KVB: 'chen3',
  ZVB: 'shen4',
  cVB: 'ren3',
  aVB: 'shen3',
  IVB: 'lin3',
  LVB: 'zhen4',
  dVB: 'jin3',
  PVB: 'jin4',
  NVB: 'jin3',
  CVB: 'bin4',
  gVF: 'yin3',
  OVB: 'qin3',
  fVN: 'jun4',
  lVB: 'yin3',
  DVF: 'min3',
  DVB: 'min3',
  kVJ: 'yun3',
  XVJ: 'zhun3',
  lVJ: 'yun3',
  QVJ: 'xun3',
  cVJ: 'run3',
  YVJ: 'chun3',
  bVJ: 'shun4',
  KVJ: 'chun3',
  IVJ: 'lun3',
  eVJ: 'qun3',
  eVB: 'qin3',
  aVJ: 'shun3',
  iVB: 'xin3',
  UVB: 'shen4',
  JVB: 'zhen3',
  DXB: 'wen3',
  AXB: 'fen3',
  CXB: 'fen4',
  BXB: 'fen3',
  hXJ: 'yun3',
  gXJ: 'yun3',
  kXJ: 'yun3',
  eXJ: 'qun3',
  hYB: 'yin3',
  dYB: 'jin3',
  SWB: 'zhen3',
  eYB: 'qin3',
  fYB: 'jin4',
  TWB: 'chen3',
  gYB: 'yin3',
  iYB: 'xin3',
  gZJ: 'yuan3',
  kZJ: 'yuan3',
  hZB: 'yan3',
  dZB: 'jian3',
  fZB: 'jian4',
  eZB: 'qian3',
  gZB: 'yan3',
  iZB: 'xian3',
  DZB: 'wan3',
  AZB: 'fan3',
  fZJ: 'juan4',
  hZJ: 'yuan3',
  eZJ: 'quan3',
  iZJ: 'xuan3',
  CZB: 'fan4',
  jaJ: 'hun4',
  BaB: 'pen3',
  OaJ: 'cun3',
  AaB: 'ben3',
  QaJ: 'sun3',
  NaJ: 'zun3',
  haJ: 'wen3',
  GaJ: 'dun4',
  PaJ: 'zun4',
  daJ: 'gun3',
  FaJ: 'tun3',
  eaJ: 'kun3',
  IaJ: 'lun3',
  CaB: 'ben4',
  DaB: 'men3',
  HaJ: 'nun3',
  iaJ: 'hun3',
  jbB: 'hen4',
  ebB: 'ken3',
  dbB: 'gen3',
  jcB: 'han4',
  EcB: 'dan3',
  QcB: 'san3',
  GcB: 'dan4',
  PcB: 'zan4',
  dcB: 'gan3',
  IcB: 'lan3',
  ecB: 'kan3',
  icB: 'han3',
  NcB: 'zan3',
  jcJ: 'huan4',
  EcJ: 'duan3',
  hcJ: 'wan3',
  FcJ: 'tuan3',
  QcJ: 'suan3',
  dcJ: 'guan3',
  IcJ: 'luan3',
  ecJ: 'kuan3',
  HcJ: 'nuan3',
  NcJ: 'zuan3',
  CcB: 'ban4',
  DcB: 'man3',
  AcB: 'ban3',
  GcJ: 'duan4',
  HcB: 'nan3',
  BcB: 'pan3',
  VdB: 'shan3',
  hdJ: 'wan3',
  AdB: 'ban3',
  SdB: 'zhan3',
  MdB: 'nan3',
  jdB: 'xian4',
  jdJ: 'huan4',
  CdB: 'ban4',
  DdB: 'man3',
  UdB: 'shan4',
  gdB: 'yan3',
  TdB: 'chan3',
  BdB: 'pan3',
  UdJ: 'shuan4',
  VeB: 'shan3',
  jeB: 'xian4',
  deB: 'jian3',
  TeB: 'chan3',
  UeB: 'shan4',
  geB: 'yan3',
  SeB: 'zhan3',
  TeJ: 'chuan3',
  eeB: 'qian3',
  QgB: 'xian3',
  FgB: 'tian3',
  EgB: 'dian3',
  hgB: 'yan3',
  GgB: 'dian4',
  dgB: 'jian3',
  jgB: 'xian4',
  igB: 'xian3',
  DgB: 'mian3',
  HgB: 'nian3',
  AgB: 'bian3',
  jgJ: 'xuan4',
  dgJ: 'juan3',
  CgB: 'bian4',
  egJ: 'quan3',
  egB: 'qian3',
  ggB: 'yan3',
  QfB: 'xian3',
  lfB: 'yan3',
  PfB: 'juan4',
  JfB: 'zhan3',
  XfB: 'zhan3',
  MfB: 'nian3',
  OfB: 'qian3',
  YfB: 'chan3',
  efB: 'qian3',
  dfF: 'jian3',
  ZfB: 'shan4',
  NfB: 'jian3',
  cfB: 'ran3',
  RfB: 'xian4',
  IfB: 'lian3',
  gfF: 'yan3',
  ffF: 'jian4',
  CfF: 'bian4',
  DfB: 'mian3',
  AfB: 'bian3',
  NfJ: 'juan3',
  PfJ: 'juan4',
  AfF: 'bian3',
  lfJ: 'yuan3',
  IfJ: 'luan3',
  JfJ: 'zhuan3',
  dfN: 'juan3',
  ffN: 'juan4',
  cfJ: 'ruan3',
  YfJ: 'chuan3',
  ZfJ: 'shuan4',
  LfJ: 'zhuan4',
  XfJ: 'zhuan3',
  QfJ: 'xuan3',
  UfJ: 'shuan4',
  ffJ: 'juan4',
  ifJ: 'xuan3',
  CfB: 'bian4',
  DfF: 'mian3',
  KfB: 'chan3',
  BfF: 'pian3',
  afB: 'shan3',
  hfF: 'yan3',
  LfB: 'zhan4',
  UfB: 'shuan4',
  QhB: 'xiao3',
  dhB: 'jiao3',
  EhB: 'diao3',
  IhB: 'liao3',
  FhB: 'tiao3',
  ihB: 'xiao3',
  hhB: 'yao3',
  HhB: 'niao3',
  jhB: 'xiao4',
  GhB: 'diao4',
  ehB: 'qiao3',
  NhB: 'jiao3',
  QiB: 'xiao3',
  LiB: 'zhao4',
  XiB: 'zhao3',
  hiF: 'yao3',
  KiB: 'chao3',
  aiB: 'shao3',
  ciB: 'rao3',
  CiB: 'biao4',
  YiB: 'chao3',
  BiB: 'piao3',
  DiB: 'miao3',
  ZiB: 'shao4',
  diF: 'jiao3',
  AiF: 'biao3',
  AiB: 'biao3',
  CiF: 'biao4',
  liB: 'yao3',
  OiB: 'qiao3',
  NiB: 'jiao3',
  fiF: 'jiao4',
  IiB: 'liao3',
  BiF: 'piao3',
  hiB: 'yao3',
  ejB: 'qiao3',
  jjB: 'xiao4',
  AjB: 'bao3',
  MjB: 'nao3',
  DjB: 'mao3',
  djB: 'jiao3',
  SjB: 'zhao3',
  hjB: 'yao3',
  CjB: 'bao4',
  gjB: 'yao3',
  UjB: 'shao4',
  TjB: 'chao3',
  JjB: 'zhao3',
  VjB: 'shao3',
  jkB: 'hao4',
  CkB: 'bao4',
  IkB: 'lao3',
  FkB: 'tao3',
  GkB: 'dao4',
  HkB: 'nao3',
  QkB: 'sao3',
  EkB: 'dao3',
  OkB: 'cao3',
  NkB: 'zao3',
  PkB: 'zao4',
  dkB: 'gao3',
  ikB: 'hao3',
  DkB: 'mao3',
  AkB: 'bao3',
  hkB: 'ao3',
  ekB: 'kao3',
  gkB: 'ao3',
  dlB: 'ge3',
  OlB: 'cuo3',
  ElB: 'duo3',
  QlB: 'suo3',
  GlB: 'duo4',
  glB: 'e3',
  FlB: 'tuo3',
  IlB: 'luo3',
  HlB: 'nuo3',
  jlB: 'he4',
  ilB: 'he3',
  elB: 'ke3',
  hlB: 'e3',
  NlB: 'zuo3',
  dlJ: 'guo3',
  ElJ: 'duo3',
  QlJ: 'suo3',
  GlJ: 'duo4',
  FlJ: 'tuo3',
  DlB: 'mo3',
  PlJ: 'zuo4',
  glJ: 'wo3',
  IlJ: 'luo3',
  hlJ: 'wo3',
  HlJ: 'nuo3',
  AlB: 'bo3',
  BlB: 'po3',
  jlJ: 'huo4',
  ilJ: 'huo3',
  elJ: 'kuo3',
  ClB: 'bo4',
  OlJ: 'cuo3',
  NlJ: 'zuo3',
  DnB: 'ma3',
  XoB: 'zhe3',
  loB: 'ye3',
  gnB: 'ya3',
  dnB: 'jia3',
  VnB: 'sha3',
  hnB: 'ya3',
  RoB: 'xie4',
  jnB: 'xia4',
  QoB: 'xie3',
  NmJ: 'jue3',
  DoB: 'mie3',
  OoB: 'qie3',
  inB: 'xia3',
  ZoB: 'she4',
  enB: 'qia3',
  CnB: 'ba4',
  aoB: 'she3',
  NoB: 'jie3',
  AnB: 'ba3',
  jnJ: 'hua4',
  dnJ: 'gua3',
  gnJ: 'wa3',
  coB: 're3',
  SnB: 'zha3',
  JnB: 'zha3',
  UnB: 'sha4',
  YoB: 'che3',
  MnB: 'na3',
  enJ: 'kua3',
  TnJ: 'chua3',
  KnJ: 'chua3',
  VnJ: 'shua3',
  KnB: 'cha3',
  InB: 'la3',
  lpB: 'yang3',
  RpB: 'xiang4',
  NpB: 'jiang3',
  IpB: 'liang3',
  hpB: 'yang3',
  fpB: 'jiang4',
  gpB: 'yang3',
  TpB: 'chuang3',
  QpB: 'xiang3',
  XpB: 'zhang3',
  VpB: 'shuang3',
  ipB: 'xiang3',
  YpB: 'chang3',
  dpB: 'jiang3',
  LpB: 'zhang4',
  KpB: 'chang3',
  dpJ: 'guang3',
  cpB: 'rang3',
  apB: 'shang3',
  BpB: 'fang3',
  DpB: 'wang3',
  ApB: 'fang3',
  hpJ: 'wang3',
  kpJ: 'wang3',
  ipJ: 'huang3',
  OpB: 'qiang3',
  JpB: 'zhang3',
  ZpB: 'shang4',
  fpJ: 'guang4',
  CpB: 'fang4',
  GqB: 'dang4',
  QqB: 'sang3',
  dqJ: 'guang3',
  AqB: 'bang3',
  NqB: 'zang3',
  HqB: 'nang3',
  jqB: 'hang4',
  FqB: 'tang3',
  DqB: 'mang3',
  EqB: 'dang3',
  IqB: 'lang3',
  hqB: 'ang3',
  eqB: 'kang3',
  hqJ: 'wang3',
  jqJ: 'huang4',
  BqB: 'pang3',
  iqJ: 'huang3',
  dqB: 'gang3',
  gqB: 'ang3',
  PqB: 'zang4',
  OqB: 'cang3',
  iqB: 'hang3',
  eqJ: 'kuang3',
  drB: 'geng3',
  AsB: 'bing3',
  dsB: 'jing3',
  hsB: 'ying3',
  VsB: 'sheng3',
  ksJ: 'yong3',
  isJ: 'xiong3',
  DsB: 'ming3',
  dsJ: 'jiong3',
  jrB: 'heng4',
  DrB: 'meng3',
  drJ: 'gong3',
  ArB: 'beng3',
  JrB: 'zheng3',
  LrB: 'zheng4',
  hrJ: 'weng3',
  IrB: 'leng3',
  jrJ: 'hong4',
  CrB: 'beng4',
  erJ: 'kong3',
  MrB: 'neng3',
  dtB: 'geng3',
  DtB: 'meng3',
  jtB: 'heng4',
  CtB: 'beng4',
  BtB: 'peng3',
  PuB: 'jing4',
  XuB: 'zheng3',
  KuB: 'cheng3',
  luB: 'ying3',
  fuB: 'jing4',
  luJ: 'yong3',
  IuB: 'ling3',
  duB: 'jing3',
  AuB: 'bing3',
  euJ: 'qiong3',
  NuB: 'jing3',
  huB: 'ying3',
  OuB: 'qing3',
  QuB: 'xing3',
  DuB: 'ming3',
  LuB: 'zheng3',
  jvJ: 'xiong4',
  dvJ: 'jiong3',
  DvB: 'ming3',
  EvB: 'ding3',
  GvB: 'ding4',
  FvB: 'ting3',
  PvB: 'jing4',
  hvJ: 'yong3',
  evB: 'qing3',
  HvB: 'ning3',
  jvB: 'xing4',
  QvB: 'xing3',
  AvB: 'bing3',
  evJ: 'qiong3',
  dvB: 'jing3',
  BvB: 'ping3',
  hvB: 'ying3',
  IvB: 'ling3',
  CvB: 'bing4',
  ivJ: 'xiong3',
  gvB: 'ying3',
  XwB: 'zheng3',
  KwB: 'cheng3',
  fwB: 'jing4',
  VwB: 'sheng3',
  ExB: 'deng3',
  BxB: 'peng3',
  exB: 'keng3',
  HxB: 'neng3',
  kyB: 'you3',
  IyB: 'liu3',
  MyB: 'niu3',
  KyB: 'chou3',
  JyB: 'zhou3',
  iyB: 'xiu3',
  dyB: 'jiu3',
  ayB: 'shou3',
  YyB: 'chou3',
  PyB: 'jiu4',
  CyB: 'fou4',
  AyB: 'fou3',
  eyB: 'qiu3',
  cyB: 'rou3',
  fyB: 'jiu4',
  LyB: 'zhou4',
  lyB: 'you3',
  ZyB: 'shou4',
  QyB: 'xiu3',
  hyB: 'you3',
  NyB: 'jiu3',
  VyB: 'shou3',
  XyB: 'zhou3',
  ByB: 'fou3',
  SyB: 'zhou3',
  UyB: 'shou4',
  TyB: 'chou3',
  jzB: 'hou4',
  DzB: 'mou3',
  CzB: 'bou4',
  EzB: 'dou3',
  FzB: 'tou3',
  dzB: 'gou3',
  gzB: 'ou3',
  AzB: 'bou3',
  HzB: 'nou3',
  QzB: 'sou3',
  izB: 'hou3',
  BzB: 'pou3',
  hzB: 'ou3',
  IzB: 'lou3',
  NzB: 'zou3',
  ezB: 'kou3',
  GzB: 'dou4',
  OzB: 'cou3',
  h0B: 'you3',
  d0B: 'jiu3',
  f0B: 'jiu4',
  O1B: 'qin3',
  L1B: 'zhen4',
  e1B: 'qin3',
  I1B: 'lin3',
  Q1B: 'xin3',
  K1B: 'chen3',
  N1B: 'jin3',
  c1B: 'ren3',
  X1B: 'zhen3',
  a1B: 'shen3',
  b1B: 'shen4',
  Z1B: 'shen4',
  Y1B: 'chen3',
  T1B: 'chen3',
  M1B: 'nin3',
  f1F: 'jin4',
  d1F: 'jin3',
  P1B: 'jin4',
  g1F: 'yin3',
  V1B: 'shen3',
  A1F: 'bin3',
  h1F: 'yin3',
  B1F: 'pin3',
  e1F: 'qin3',
  i1F: 'xin3',
  J1B: 'zhen3',
  l1B: 'yin3',
  U1B: 'shen4',
  d2B: 'gan3',
  G2B: 'dan4',
  h2B: 'an3',
  H2B: 'nan3',
  F2B: 'tan3',
  P2B: 'zan4',
  O2B: 'can3',
  g2B: 'an3',
  N2B: 'zan3',
  Q2B: 'san3',
  e2B: 'kan3',
  j2B: 'han4',
  I2B: 'lan3',
  E2B: 'tan3',
  i2B: 'han3',
  d3B: 'gan3',
  I3B: 'lan3',
  F3B: 'tan3',
  E3B: 'dan3',
  G3B: 'dan4',
  O3B: 'can3',
  D3B: 'man3',
  N3B: 'zan3',
  P3B: 'zan4',
  i3B: 'han3',
  h3B: 'an3',
  e3B: 'kan3',
  l4B: 'yan3',
  I4B: 'lian3',
  i4F: 'xian3',
  A4F: 'bian3',
  X4B: 'zhan3',
  e4F: 'qian3',
  g4F: 'yan3',
  f4F: 'jian4',
  d4F: 'jian3',
  h4B: 'yan3',
  c4B: 'ran3',
  a4B: 'shan3',
  K4B: 'chan3',
  h4F: 'yan3',
  P4B: 'jian4',
  O4B: 'qian3',
  N4B: 'jian3',
  e4B: 'qian3',
  Z4B: 'shan4',
  F5B: 'tian3',
  H5B: 'nian3',
  E5B: 'dian3',
  G5B: 'dian4',
  e5B: 'qian3',
  I5B: 'lian3',
  j5B: 'xian4',
  O5B: 'qian3',
  d5B: 'jian3',
  D5B: 'mian3',
  g8B: 'yan3',
  e8B: 'qian3',
  h8B: 'yan3',
  j6B: 'xian4',
  L6B: 'zhan4',
  e6B: 'qian3',
  d6B: 'jian3',
  U6B: 'shan4',
  I6B: 'lan3',
  S6B: 'zhan3',
  T6B: 'chan3',
  i6B: 'xian3',
  V6B: 'shan3',
  h6B: 'yan3',
  M6B: 'nian3',
  K6B: 'chan3',
  j7B: 'xian4',
  e7B: 'qian3',
  V7B: 'shan3',
  h7B: 'yan3',
  T7B: 'chan3',
  i7B: 'xian3',
  U7B: 'shan4',
  C9B: 'fan4',
  D9B: 'man3',
  A9B: 'fan3',
  e9J: 'quan3',
  B9B: 'fan3',
  K9J: 'chuan3',
  QAC: 'song4',
  CBC: 'feng4',
  dAC: 'gong4',
  IAC: 'long4',
  EAC: 'dong4',
  eAC: 'kong4',
  NAC: 'zong4',
  hAC: 'weng4',
  OAC: 'cong4',
  GAC: 'dong4',
  FAC: 'tong4',
  LBC: 'zhong4',
  ABC: 'feng4',
  eBC: 'qiong4',
  DBC: 'meng4',
  iBC: 'xiong4',
  DAC: 'meng4',
  OBC: 'cong4',
  BBC: 'feng4',
  PAC: 'zong4',
  JBC: 'zhong4',
  jAC: 'hong4',
  HAC: 'nong4',
  XBC: 'zhong4',
  YBC: 'chong4',
  UBC: 'shong4',
  iAC: 'hong4',
  QCC: 'song4',
  NCC: 'zong4',
  FCC: 'tong4',
  DCC: 'meng4',
  jCC: 'hong4',
  lDC: 'yong4',
  RDC: 'song4',
  CDC: 'feng4',
  fDC: 'jiong4',
  ADC: 'feng4',
  dDC: 'jiong4',
  hDC: 'yong4',
  JDC: 'zhong4',
  NDC: 'zong4',
  KDC: 'chong4',
  cDC: 'rong4',
  XDC: 'zhong4',
  LDC: 'zhong4',
  IDC: 'long4',
  eDC: 'qiong4',
  PDC: 'zong4',
  MDC: 'nong4',
  dEC: 'jiang4',
  jEC: 'xiang4',
  JEC: 'zhuang4',
  LEC: 'zhuang4',
  KEC: 'chuang4',
  UEC: 'shuang4',
  BEC: 'pang4',
  TEC: 'chuang4',
  VEC: 'shuang4',
  XFC: 'zhi4',
  CFC: 'bi4',
  XFK: 'zhui4',
  IFC: 'li4',
  ZFC: 'shi4',
  NFC: 'zi4',
  QFC: 'si4',
  kFK: 'wei4',
  dFO: 'gui4',
  BFG: 'pi4',
  AFG: 'bi4',
  CFG: 'bi4',
  IFK: 'lei4',
  dFG: 'ji4',
  AFC: 'bi4',
  fFG: 'ji4',
  OFC: 'ci4',
  lFC: 'yi4',
  gFG: 'yi4',
  BFC: 'pi4',
  PFC: 'zi4',
  JFC: 'zhi4',
  hFG: 'yi4',
  LFK: 'zhui4',
  YFK: 'chui4',
  iFG: 'xi4',
  eFC: 'qi4',
  hFC: 'yi4',
  aFC: 'shi4',
  VFC: 'shi4',
  eFK: 'kui4',
  hFO: 'wei4',
  gFO: 'wei4',
  iFO: 'hui4',
  hFK: 'wei4',
  ZFK: 'shui4',
  dFC: 'ji4',
  cFK: 'rui4',
  YFC: 'chi4',
  QFK: 'sui4',
  JFK: 'zhui4',
  lFK: 'wei4',
  MFK: 'nei4',
  dFK: 'gui4',
  SFC: 'zhi4',
  iFK: 'hui4',
  eFG: 'qi4',
  XGC: 'zhi4',
  kGK: 'wei4',
  DGG: 'mi4',
  RGK: 'sui4',
  NGK: 'zui4',
  QGK: 'sui4',
  IGK: 'lei4',
  AGG: 'bi4',
  fGO: 'gui4',
  BGG: 'pi4',
  CGG: 'bi4',
  dGO: 'gui4',
  VGK: 'shuai4',
  eGO: 'kui4',
  iGO: 'hui4',
  ZGC: 'shi4',
  IGC: 'li4',
  MGC: 'ni4',
  BGC: 'pi4',
  gGG: 'yi4',
  JGC: 'zhi4',
  eGC: 'qi4',
  LGC: 'zhi4',
  DGC: 'mi4',
  KGC: 'chi4',
  dGG: 'ji4',
  fGG: 'ji4',
  fGK: 'gui4',
  OGK: 'cui4',
  cGC: 'er4',
  NGC: 'zi4',
  OGC: 'ci4',
  hGG: 'yi4',
  QGC: 'si4',
  eGG: 'qi4',
  dGK: 'gui4',
  CGC: 'bi4',
  iGK: 'hui4',
  AGC: 'bi4',
  PGK: 'cui4',
  iGG: 'xi4',
  lGC: 'yi4',
  bGC: 'shi4',
  PGC: 'zi4',
  LGK: 'zhui4',
  YGK: 'chui4',
  lGK: 'wei4',
  JGK: 'zhui4',
  YGC: 'chi4',
  aGC: 'shi4',
  TGK: 'chuai4',
  aGK: 'shui4',
  XHC: 'zhi4',
  LHC: 'zhi4',
  RHC: 'si4',
  OHC: 'ci4',
  QHC: 'si4',
  aHC: 'shi4',
  SHC: 'zhi4',
  IHC: 'li4',
  PHC: 'zi4',
  KHC: 'chi4',
  cHC: 'er4',
  VHC: 'shi4',
  THC: 'chi4',
  lHC: 'yi4',
  JHC: 'zhi4',
  ZHC: 'shi4',
  UHC: 'shi4',
  fHC: 'ji4',
  YHC: 'chi4',
  hHC: 'yi4',
  dHC: 'ji4',
  iHC: 'xi4',
  gHC: 'yi4',
  eHC: 'qi4',
  DIC: 'wei4',
  dIK: 'gui4',
  kIK: 'wei4',
  gIK: 'wei4',
  AIC: 'fei4',
  BIC: 'fei4',
  eIK: 'kui4',
  hIK: 'wei4',
  iIK: 'hui4',
  CIC: 'fei4',
  dIC: 'ji4',
  gIC: 'yi4',
  eIC: 'qi4',
  iIC: 'xi4',
  fIC: 'ji4',
  hIC: 'yi4',
  gJC: 'yu4',
  IJC: 'lü4',
  dJC: 'ju4',
  OJC: 'qu4',
  eJC: 'qu4',
  ZJC: 'shu4',
  aJC: 'shu4',
  JJC: 'zhu4',
  XJC: 'zhu4',
  VJC: 'shu4',
  hJC: 'yu4',
  LJC: 'zhu4',
  fJC: 'ju4',
  QJC: 'xu4',
  UJC: 'zhu4',
  NJC: 'ju4',
  SJC: 'zhu4',
  cJC: 'ru4',
  lJC: 'yu4',
  iJC: 'xu4',
  MJC: 'nü4',
  TJC: 'chu4',
  YJC: 'chu4',
  KJC: 'chu4',
  RJC: 'xu4',
  gKC: 'yu4',
  hKC: 'yu4',
  ZKC: 'shu4',
  LKC: 'zhu4',
  CKC: 'fu4',
  XKC: 'zhu4',
  dKC: 'ju4',
  iKC: 'xu4',
  aKC: 'shu4',
  lKC: 'yu4',
  cKC: 'ru4',
  BKC: 'fu4',
  DKC: 'wu4',
  NKC: 'ju4',
  fKC: 'ju4',
  kKC: 'yu4',
  PKC: 'ju4',
  VKC: 'shu4',
  AKC: 'fu4',
  OKC: 'qu4',
  JKC: 'zhu4',
  eKC: 'qu4',
  TKC: 'chu4',
  KKC: 'chu4',
  QKC: 'xu4',
  IKC: 'lü4',
  DLC: 'mu4',
  GLC: 'du4',
  ILC: 'lu4',
  ELC: 'du4',
  FLC: 'tu4',
  dLC: 'gu4',
  gLC: 'wu4',
  jLC: 'hu4',
  QLC: 'su4',
  PLC: 'zu4',
  HLC: 'nu4',
  ALC: 'bu4',
  hLC: 'wu4',
  BLC: 'pu4',
  OLC: 'cu4',
  eLC: 'ku4',
  CLC: 'bu4',
  iLC: 'hu4',
  NLC: 'zu4',
  NMC: 'ji4',
  EMC: 'di4',
  PMC: 'ji4',
  FMC: 'ti4',
  GMC: 'di4',
  OMC: 'qi4',
  QMC: 'xi4',
  gMC: 'yi4',
  dMC: 'ji4',
  jMC: 'xi4',
  eMC: 'qi4',
  hMC: 'yi4',
  DMC: 'mi4',
  AMC: 'bi4',
  jMK: 'hui4',
  dMK: 'gui4',
  iMK: 'hui4',
  BMC: 'pi4',
  CMC: 'bi4',
  IMC: 'li4',
  HMC: 'ni4',
  iMC: 'xi4',
  NNC: 'ji4',
  QNK: 'sui4',
  kNK: 'wei4',
  cNK: 'rui4',
  XNK: 'zhui4',
  VNK: 'shuai4',
  ONK: 'cui4',
  lNK: 'wei4',
  JNK: 'zhui4',
  aNK: 'shui4',
  CNC: 'bi4',
  TNK: 'chuai4',
  RNK: 'sui4',
  ANC: 'bi4',
  dNO: 'gui4',
  DNC: 'mi4',
  VNC: 'shi4',
  YNC: 'chi4',
  XNC: 'zhi4',
  ZNC: 'shi4',
  lNC: 'yi4',
  hNG: 'yi4',
  gNC: 'yi4',
  LNC: 'zhi4',
  INC: 'li4',
  eNG: 'qi4',
  aNC: 'shi4',
  dNG: 'ji4',
  JNC: 'zhi4',
  fNG: 'ji4',
  ZNK: 'shui4',
  KNC: 'chi4',
  LNK: 'zhui4',
  gNG: 'yi4',
  NNK: 'zui4',
  BNC: 'pi4',
  eUK: 'kui4',
  iUK: 'hui4',
  FOC: 'tai4',
  dOC: 'gai4',
  gOC: 'ai4',
  hOC: 'ai4',
  HOC: 'nai4',
  GOC: 'dai4',
  jOC: 'hai4',
  EOC: 'dai4',
  AOC: 'bei4',
  BOC: 'pei4',
  jOK: 'hui4',
  GOK: 'dui4',
  dOK: 'kui4',
  NOK: 'zui4',
  iOK: 'hui4',
  eOK: 'kui4',
  IOK: 'lei4',
  gOK: 'wei4',
  EOK: 'dui4',
  hOK: 'wei4',
  POK: 'zui4',
  QOK: 'sui4',
  OOK: 'cui4',
  COC: 'bei4',
  eOC: 'kai4',
  OOC: 'cai4',
  IOC: 'lai4',
  iOC: 'hai4',
  FOK: 'tai4',
  DOC: 'mei4',
  dPK: 'gua4',
  dPC: 'jia4',
  jPC: 'xia4',
  DPC: 'mai4',
  jPK: 'hua4',
  TPC: 'chai4',
  gPC: 'ya4',
  iPC: 'xia4',
  APC: 'bai4',
  CPC: 'bai4',
  UPC: 'zhai4',
  BPC: 'pai4',
  SPC: 'zhai4',
  ePC: 'qia4',
  VPC: 'shai4',
  iPK: 'hua4',
  JPK: 'zhuai4',
  dQK: 'kuai4',
  hQC: 'ye4',
  SQC: 'zhai4',
  dQC: 'jie4',
  MQC: 'nai4',
  iQC: 'xie4',
  jQC: 'xie4',
  gQC: 'ye4',
  eQK: 'kuai4',
  AQC: 'bai4',
  BQC: 'pai4',
  jQK: 'huai4',
  gQK: 'wai4',
  CQC: 'bai4',
  DQC: 'mai4',
  iQK: 'huai4',
  VQC: 'shai4',
  eQC: 'qie4',
  KQK: 'chuai4',
  dRK: 'gua4',
  eRK: 'kuai4',
  DRC: 'mai4',
  jRK: 'huai4',
  CRC: 'bai4',
  hRK: 'wai4',
  TRK: 'chuai4',
  dRC: 'jie4',
  KRC: 'chai4',
  hRC: 'ye4',
  VRC: 'shai4',
  LRC: 'zhai4',
  iRC: 'xie4',
  iRK: 'huai4',
  ARC: 'bai4',
  ORK: 'cuai4',
  URC: 'zhai4',
  jRC: 'xie4',
  GSK: 'dui4',
  CSC: 'bei4',
  DSC: 'mei4',
  BSC: 'pei4',
  iSK: 'hui4',
  ESK: 'dui4',
  OSK: 'cui4',
  NSK: 'zui4',
  hSK: 'wei4',
  FSK: 'tui4',
  dSK: 'gui4',
  jSK: 'hui4',
  eSK: 'kui4',
  QSK: 'sui4',
  HSK: 'nei4',
  ISK: 'lei4',
  ASC: 'bei4',
  gSK: 'wei4',
  GTC: 'dai4',
  NTC: 'zai4',
  DTC: 'mei4',
  QTC: 'sai4',
  FTC: 'tai4',
  dTC: 'gai4',
  eTC: 'kai4',
  gTC: 'ai4',
  hTC: 'ai4',
  jTC: 'hai4',
  HTC: 'nai4',
  ETC: 'dai4',
  ITC: 'lai4',
  OTC: 'cai4',
  PTC: 'zai4',
  iTC: 'hai4',
  AUC: 'fei4',
  BUC: 'fei4',
  hUK: 'wei4',
  CUC: 'fei4',
  fUK: 'gui4',
  gUC: 'yi4',
  XVC: 'zhen4',
  QVC: 'xin4',
  cVC: 'ren4',
  lVC: 'yin4',
  IVC: 'lin4',
  AVC: 'bin4',
  LVC: 'zhen4',
  ZVC: 'shen4',
  aVC: 'shen4',
  eVG: 'qin4',
  RVC: 'xin4',
  gVG: 'yin4',
  NVC: 'jin4',
  iVG: 'xin4',
  JVC: 'zhen4',
  fVG: 'jin4',
  TWC: 'chen4',
  hVC: 'yin4',
  KVC: 'chen4',
  BVC: 'pin4',
  OVC: 'qin4',
  eVC: 'qin4',
  dVK: 'jun4',
  XVK: 'zhun4',
  QVK: 'xun4',
  RVK: 'xun4',
  NVK: 'jun4',
  aVK: 'shun4',
  cVK: 'run4',
  bVK: 'shun4',
  DXC: 'wen4',
  kXK: 'yun4',
  iXK: 'xun4',
  BXC: 'fen4',
  AXC: 'fen4',
  hXK: 'yun4',
  dXK: 'jun4',
  fXK: 'jun4',
  CXC: 'fen4',
  iYC: 'xin4',
  dYC: 'jin4',
  fYC: 'jin4',
  hYC: 'yin4',
  gYC: 'yin4',
  gZK: 'yuan4',
  hZK: 'yuan4',
  AZC: 'fan4',
  eZK: 'quan4',
  DZC: 'wan4',
  CZC: 'fan4',
  BZC: 'fan4',
  dZC: 'jian4',
  hZC: 'yan4',
  iZC: 'xian4',
  iZK: 'xuan4',
  fZC: 'jian4',
  kZK: 'yuan4',
  gZC: 'yan3',
  fZK: 'juan4',
  dZK: 'juan4',
  jaK: 'hun4',
  EaK: 'dun4',
  QaK: 'sun4',
  eaK: 'kun4',
  HaK: 'nun4',
  haK: 'wen4',
  DaC: 'men4',
  PaK: 'zun4',
  daK: 'gun4',
  BaC: 'pen4',
  GaK: 'dun4',
  OaK: 'cun4',
  CaC: 'ben4',
  gaK: 'wen4',
  IaK: 'lun4',
  AaC: 'ben4',
  iaK: 'hun4',
  NaK: 'zun4',
  jbC: 'hen4',
  dbC: 'gen4',
  gbC: 'en4',
  hbC: 'en4',
  jcC: 'han4',
  FcC: 'tan4',
  hcC: 'an4',
  EcC: 'dan4',
  GcC: 'dan4',
  dcC: 'gan4',
  gcC: 'an4',
  ecC: 'kan4',
  icC: 'han4',
  IcC: 'lan4',
  HcC: 'nan4',
  OcC: 'can4',
  QcC: 'san4',
  NcC: 'zan4',
  PcC: 'san4',
  jcK: 'huan4',
  NcK: 'zuan4',
  hcK: 'wan4',
  dcK: 'guan4',
  OcK: 'cuan4',
  gcK: 'wan4',
  GcK: 'duan4',
  IcK: 'luan4',
  EcK: 'duan4',
  FcK: 'tuan4',
  icK: 'huan4',
  QcK: 'suan4',
  DcC: 'man4',
  AcC: 'ban4',
  BcC: 'pan4',
  CcC: 'ban4',
  HcK: 'nuan4',
  PcK: 'zuan4',
  ecK: 'kuan4',
  ddC: 'jian4',
  gdC: 'yan4',
  hdC: 'yan4',
  VdC: 'shan4',
  jdC: 'xian4',
  DdC: 'man4',
  hdK: 'wan4',
  jdK: 'huan4',
  ddK: 'guan4',
  VdK: 'shuan4',
  TdK: 'chuan4',
  gdK: 'wan4',
  UdC: 'zhan4',
  BdC: 'pan4',
  MdK: 'nuan4',
  TdC: 'chan4',
  KdC: 'chan4',
  deC: 'jian4',
  jeC: 'xian4',
  CeC: 'ban4',
  BeC: 'pan4',
  jeK: 'huan4',
  DeC: 'man4',
  LeC: 'zhan4',
  AeC: 'ban4',
  deK: 'guan4',
  QgC: 'xian4',
  OgC: 'qian4',
  igK: 'xuan4',
  jgK: 'xuan4',
  dgK: 'juan4',
  GgC: 'dian4',
  FgC: 'tian4',
  IgC: 'lian4',
  dgC: 'jian4',
  HgC: 'nian4',
  egC: 'qian4',
  jgC: 'xian4',
  ggC: 'yan4',
  hgC: 'yan4',
  NgC: 'jian4',
  DgC: 'mian4',
  BgC: 'pian4',
  PgC: 'jian4',
  hgK: 'yuan4',
  EgC: 'dian4',
  igC: 'xian4',
  QfC: 'xian4',
  XfC: 'zhan4',
  ZfC: 'shan4',
  gfG: 'yan4',
  efC: 'qian4',
  dfK: 'juan4',
  kfK: 'yuan4',
  DfC: 'mian4',
  YfK: 'chuan4',
  lfK: 'yuan4',
  JfC: 'zhan4',
  cfK: 'ruan4',
  NfC: 'jian4',
  YfC: 'chan4',
  afC: 'shan4',
  hfC: 'yan4',
  dfO: 'juan4',
  ffO: 'juan4',
  IfK: 'luan4',
  KfK: 'chuan4',
  AfG: 'bian4',
  VfK: 'shuan4',
  OfK: 'quan4',
  CfG: 'bian4',
  RfK: 'xuan4',
  QfK: 'xuan4',
  UfK: 'shuan4',
  SfK: 'zhuan4',
  LfK: 'zhuan4',
  PfC: 'jian4',
  RfC: 'xian4',
  BfC: 'pian4',
  ZfK: 'shuan4',
  MfC: 'nian4',
  JfK: 'zhuan4',
  lfC: 'yan4',
  CfC: 'bian4',
  LfC: 'zhan4',
  IfC: 'lian4',
  efO: 'quan4',
  XfK: 'zhuan4',
  AgC: 'bian4',
  QhC: 'xiao4',
  FhC: 'tiao4',
  EhC: 'diao4',
  dhC: 'jiao4',
  HhC: 'niao4',
  GhC: 'diao4',
  ehC: 'qiao4',
  IhC: 'liao4',
  ghC: 'yao4',
  hhC: 'yao4',
  ihC: 'xiao4',
  QiC: 'xiao4',
  XiC: 'zhao3',
  liC: 'yao4',
  hiC: 'yao4',
  LiC: 'zhao4',
  ZiC: 'shao4',
  fiG: 'jiao4',
  BiC: 'piao4',
  PiC: 'jiao4',
  DiC: 'miao4',
  OiC: 'qiao4',
  IiC: 'liao4',
  eiG: 'qiao4',
  giG: 'yao4',
  NiC: 'jiao4',
  DiG: 'miao4',
  CiC: 'biao4',
  aiC: 'shao4',
  KiC: 'chao4',
  AiG: 'biao4',
  fiC: 'jiao4',
  ciC: 'rao4',
  jjC: 'xiao4',
  djC: 'jiao4',
  ijC: 'xiao4',
  JjC: 'zhao4',
  AjC: 'bao4',
  ejC: 'qiao4',
  DjC: 'mao4',
  BjC: 'pao4',
  KjC: 'chao4',
  VjC: 'shao4',
  LjC: 'zhao4',
  MjC: 'nao4',
  SjC: 'zhao4',
  CjC: 'bao4',
  TjC: 'chao4',
  hjC: 'yao4',
  gjC: 'yao4',
  UjC: 'zhao4',
  jkC: 'hao4',
  GkC: 'dao4',
  EkC: 'dao4',
  dkC: 'gao4',
  gkC: 'ao4',
  DkC: 'mao4',
  IkC: 'lao4',
  OkC: 'cao4',
  CkC: 'bao4',
  AkC: 'bao4',
  PkC: 'zao4',
  hkC: 'ao4',
  QkC: 'sao4',
  ekC: 'kao4',
  NkC: 'zao4',
  ikC: 'hao4',
  HkC: 'nao4',
  dlC: 'ge4',
  jlC: 'he4',
  NlC: 'zuo4',
  ElC: 'duo4',
  IlC: 'luo4',
  elC: 'ke4',
  glC: 'e4',
  GlC: 'duo4',
  HlC: 'nuo4',
  QlC: 'suo4',
  ilC: 'he4',
  FlC: 'tuo4',
  dlK: 'guo4',
  jlK: 'huo4',
  NlK: 'zuo4',
  elK: 'kuo4',
  FlK: 'tuo4',
  AlC: 'bo4',
  OlK: 'cuo4',
  DlC: 'mo4',
  HlK: 'nuo4',
  BlC: 'po4',
  PlK: 'zuo4',
  glK: 'wo4',
  ilK: 'huo4',
  GlK: 'duo4',
  ClC: 'bo4',
  IlK: 'luo4',
  ElK: 'duo4',
  QlK: 'suo4',
  hlC: 'e4',
  hlK: 'wo4',
  DnC: 'ma4',
  dnC: 'jia4',
  hnC: 'ya4',
  inC: 'xia4',
  gnC: 'ya4',
  KnC: 'cha4',
  JnC: 'zha4',
  SnC: 'zha4',
  UnC: 'zha4',
  RoC: 'xie4',
  enC: 'qia4',
  jnC: 'xia4',
  PoC: 'jie4',
  loC: 'ye4',
  YoC: 'che4',
  QoC: 'xie4',
  XoC: 'zhe4',
  NoC: 'jie4',
  aoC: 'she4',
  boC: 'she4',
  AnC: 'ba4',
  BnC: 'pa4',
  jnK: 'hua4',
  inK: 'hua4',
  enK: 'kua4',
  VnK: 'shua4',
  CnC: 'ba4',
  HnC: 'na4',
  OoC: 'qie4',
  VnC: 'sha4',
  dnK: 'gua4',
  LnC: 'zha4',
  gnK: 'wa4',
  hnK: 'wa4',
  lpC: 'yang4',
  IpC: 'liang4',
  UpC: 'zhuang4',
  cpC: 'rang4',
  apC: 'shang4',
  JpC: 'zhang4',
  KpC: 'chang4',
  ipC: 'xiang4',
  LpC: 'zhang4',
  MpC: 'niang4',
  PpC: 'jiang4',
  XpC: 'zhang4',
  ZpC: 'shang4',
  SpC: 'zhuang4',
  hpC: 'yang4',
  fpC: 'jiang4',
  YpC: 'chang4',
  TpC: 'chuang4',
  NpC: 'jiang4',
  gpC: 'yang4',
  BpC: 'fang4',
  DpC: 'wang4',
  ipK: 'huang4',
  dpK: 'guang4',
  kpK: 'wang4',
  ApC: 'fang4',
  QpC: 'xiang4',
  dpC: 'jiang4',
  epC: 'qiang4',
  OpC: 'qiang4',
  fpK: 'guang4',
  CpC: 'fang4',
  GqC: 'dang4',
  IqC: 'lang4',
  jqC: 'hang4',
  hqC: 'ang4',
  gqC: 'ang4',
  NqC: 'zang4',
  CqC: 'bang4',
  PqC: 'zang4',
  EqC: 'dang4',
  eqC: 'kang4',
  AqC: 'bang4',
  FqC: 'tang4',
  eqK: 'kuang4',
  HqC: 'nang4',
  QqC: 'sang4',
  jqK: 'huang4',
  dqK: 'guang4',
  dqC: 'kang4',
  iqK: 'huang4',
  DqC: 'mang4',
  hqK: 'ang4',
  hsC: 'ying4',
  dsC: 'jing4',
  fsC: 'jing4',
  esC: 'qing4',
  drC: 'geng4',
  DsC: 'ming4',
  CsC: 'bing4',
  DrC: 'meng4',
  jrK: 'hong4',
  AsC: 'bing4',
  ksK: 'yong4',
  jrC: 'heng4',
  hrC: 'eng4',
  TrC: 'cheng4',
  JrC: 'zheng4',
  KrC: 'cheng4',
  ArC: 'beng4',
  LrC: 'zheng4',
  VrC: 'sheng4',
  gsC: 'ying4',
  CrC: 'beng4',
  irC: 'heng4',
  hrK: 'weng4',
  StC: 'zheng4',
  AtC: 'beng4',
  CtC: 'beng4',
  htC: 'eng4',
  gtC: 'eng4',
  itK: 'hung4',
  duC: 'jing4',
  OuC: 'qing4',
  XuC: 'zheng4',
  auC: 'sheng4',
  LuC: 'zheng4',
  KuC: 'cheng4',
  QuC: 'xing4',
  IuC: 'ling4',
  BuC: 'ping4',
  iuK: 'xiong4',
  AuC: 'bing4',
  CuC: 'bing4',
  PuC: 'jing4',
  ZuC: 'sheng4',
  DuC: 'ming4',
  euC: 'qing4',
  iuC: 'xing4',
  NuC: 'jing4',
  dvC: 'jing4',
  HvC: 'ning4',
  QvC: 'xing4',
  jvC: 'xing4',
  GvC: 'ding4',
  EvC: 'ding4',
  evC: 'qing4',
  FvC: 'ting4',
  OvC: 'qing4',
  DvC: 'ming4',
  hvK: 'yong4',
  IvC: 'ling4',
  XwC: 'zheng4',
  lwC: 'ying4',
  bwC: 'sheng4',
  cwC: 'reng4',
  hwC: 'ying4',
  NwC: 'jing4',
  iwC: 'xing4',
  awC: 'sheng4',
  LwC: 'zheng4',
  IwC: 'xing4',
  CwC: 'bing4',
  YwC: 'cheng4',
  gwC: 'ying4',
  ZwC: 'sheng4',
  KwC: 'cheng4',
  fwC: 'jing4',
  ExC: 'deng4',
  PxC: 'zeng4',
  dxC: 'geng4',
  OxC: 'ceng4',
  GxC: 'deng4',
  DxC: 'meng4',
  AxC: 'beng4',
  CxC: 'beng4',
  IxC: 'leng4',
  NxC: 'zeng4',
  QxC: 'seng4',
  FxC: 'teng4',
  kyC: 'you4',
  dyC: 'jiu4',
  LyC: 'zhou4',
  JyC: 'zhou4',
  ayC: 'shou4',
  YyC: 'chou4',
  RyC: 'xiu4',
  iyC: 'xiu4',
  XyC: 'zhou4',
  fyC: 'jiu4',
  VyC: 'shou4',
  SyC: 'zhou4',
  ByC: 'fou4',
  TyC: 'chou4',
  AyC: 'fou4',
  KyC: 'chou4',
  IyC: 'liu4',
  QyC: 'xiu4',
  NyC: 'jiu4',
  UyC: 'zhou4',
  PyC: 'jiu4',
  MyC: 'niu4',
  CyC: 'fou4',
  lyC: 'you4',
  ZyC: 'shou4',
  cyC: 'rou4',
  DyC: 'miu4',
  gyC: 'you4',
  eyC: 'qiu4',
  OyC: 'qiu4',
  jzC: 'hou4',
  ezC: 'kou4',
  DzC: 'mou4',
  BzC: 'pou4',
  GzC: 'dou4',
  EzC: 'dou4',
  HzC: 'nou4',
  QzC: 'sou4',
  NzC: 'zou4',
  FzC: 'tou4',
  hzC: 'ou4',
  dzC: 'gou4',
  OzC: 'cou4',
  IzC: 'lou4',
  izC: 'hou4',
  CzC: 'bou4',
  gzC: 'ou4',
  PzC: 'zou4',
  h0C: 'you4',
  D0C: 'miao4',
  e0C: 'qiu4',
  f0C: 'jiu4',
  O1C: 'qin4',
  N1C: 'jin4',
  c1C: 'ren4',
  L1C: 'zhen4',
  X1C: 'zhen4',
  f1G: 'jin4',
  d1G: 'jin4',
  M1C: 'nin4',
  h1G: 'yin4',
  V1C: 'shen4',
  K1C: 'chen4',
  S1C: 'zhen4',
  T1C: 'chen4',
  g1G: 'yin4',
  J1C: 'zhen4',
  I1C: 'lin4',
  Z1C: 'shen4',
  k1C: 'yin4',
  a1C: 'shen4',
  e2C: 'kan4',
  d2C: 'gan4',
  j2C: 'han4',
  h2C: 'an4',
  F2C: 'tan4',
  Q2C: 'san4',
  O2C: 'can4',
  G2C: 'dan4',
  g2C: 'an4',
  E2C: 'dan4',
  H2C: 'nan4',
  I2C: 'lan4',
  i2C: 'han4',
  N2C: 'zan4',
  e3C: 'kan4',
  I3C: 'lan4',
  F3C: 'tan4',
  d3C: 'gan4',
  i3C: 'han4',
  j3C: 'han4',
  G3C: 'dan4',
  P3C: 'zan4',
  E3C: 'dan4',
  Q3C: 'san4',
  l4C: 'yan4',
  Z4C: 'shan4',
  c4C: 'ran4',
  h4C: 'yan4',
  A4G: 'bian4',
  g4G: 'yan4',
  a4C: 'shan4',
  N4C: 'jian4',
  O4C: 'qian4',
  I4C: 'lian4',
  K4C: 'chan4',
  Y4C: 'chan4',
  h4G: 'yan4',
  P4C: 'jian4',
  X4C: 'zhan4',
  F5C: 'tian4',
  H5C: 'nian4',
  E5C: 'dian4',
  Q5C: 'xian4',
  G5C: 'dian4',
  d5C: 'jian4',
  h5C: 'yan4',
  N5C: 'jian4',
  P5C: 'jian4',
  e5C: 'qian4',
  I5C: 'lian4',
  g8C: 'yan4',
  i8C: 'xian4',
  e8C: 'qian4',
  D9C: 'wan4',
  j6C: 'xian4',
  h6C: 'yan4',
  S6C: 'zhan4',
  J6C: 'zhan4',
  e6C: 'qian4',
  L6C: 'zhan4',
  U6C: 'zhan4',
  d6C: 'jian4',
  M6C: 'nan4',
  g6C: 'yan4',
  d7C: 'jian4',
  T7C: 'chan4',
  S7C: 'zhan4',
  V7C: 'shan4',
  i7C: 'xian4',
  C7C: 'ban4',
  j7C: 'xian4',
  U7C: 'zhan4',
  h7C: 'zheng3',
  C9C: 'fan4',
  B9C: 'fan4',
  d8C: 'jian4',
  h8C: 'yan4',
  hAD: 'wu',
  GAD: 'du2',
  dAD: 'gu',
  jAD: 'hu2',
  eAD: 'ku',
  FAD: 'tu',
  EAD: 'du',
  QAD: 'su',
  IAD: 'lu4',
  iAD: 'hu',
  PAD: 'zu2',
  OAD: 'cu',
  NAD: 'zu',
  CAD: 'bu2',
  BAD: 'pu',
  AAD: 'bu',
  DAD: 'mu4',
  ABD: 'fu',
  CBD: 'fu2',
  VBD: 'shu',
  IBD: 'lü4',
  LBD: 'zhu2',
  dBD: 'ju',
  eBD: 'qu',
  ZBD: 'shu2',
  YBD: 'chu',
  lBD: 'yu4',
  fBD: 'ju2',
  OBD: 'cu',
  cBD: 'ru4',
  XBD: 'zhu',
  aBD: 'shu',
  iBD: 'xu',
  JBD: 'zhu',
  NBD: 'zu',
  TBD: 'chu',
  MBD: 'nü4',
  SBD: 'zhu',
  BBD: 'fu',
  hBD: 'yu',
  QBD: 'su',
  DBD: 'mu4',
  kBD: 'yu4',
  KBD: 'chu',
  gBD: 'yu4',
  PBD: 'zu2',
  hCD: 'wu',
  GCD: 'du2',
  ECD: 'du',
  eCD: 'ku',
  jCD: 'hu2',
  CCD: 'bu2',
  QCD: 'su',
  dCD: 'ku',
  DCD: 'mu4',
  iCD: 'hu',
  HCD: 'nu4',
  NCD: 'zu',
  ACD: 'bu',
  ICD: 'lu4',
  gCD: 'wu4',
  XDD: 'zhu',
  gDD: 'yu4',
  iDD: 'xu',
  dDD: 'ju',
  fDD: 'ju2',
  ZDD: 'shu2',
  YDD: 'chu',
  cDD: 'ru4',
  aDD: 'shu',
  lDD: 'yu4',
  LDD: 'zhu2',
  IDD: 'lü4',
  eDD: 'qu',
  JDD: 'zhu',
  NDD: 'zu',
  bDD: 'shu2',
  CDD: 'fu2',
  ODD: 'cu',
  RDD: 'su2',
  QDD: 'su',
  ADD: 'fu',
  KDD: 'chu',
  dED: 'jue',
  gED: 'yue4',
  UED: 'zhuo2',
  SED: 'zhuo',
  VED: 'shuo',
  JED: 'zhuo',
  AED: 'bo',
  DED: 'mo4',
  CED: 'bo2',
  BED: 'po',
  eED: 'que',
  LED: 'zhuo2',
  hED: 'yue',
  MED: 'nuo4',
  KED: 'chuo',
  IED: 'luo4',
  jED: 'xue2',
  iED: 'xue',
  TED: 'chuo',
  XVD: 'zhi',
  cVD: 'ri4',
  bVD: 'shi2',
  LVD: 'zhi2',
  QVD: 'xi',
  hVD: 'yi',
  OVD: 'qi',
  BVD: 'pi',
  dVD: 'ji',
  MVD: 'ni4',
  lVD: 'yi4',
  eVD: 'qi',
  iVD: 'xi',
  KVD: 'chi',
  IVD: 'li4',
  JVD: 'zhi',
  PVD: 'ji2',
  TWD: 'che',
  aVD: 'shi',
  NVD: 'ji',
  DVD: 'mi4',
  AVD: 'bi',
  fVH: 'ji2',
  CVD: 'bi2',
  kVL: 'yu4',
  VVL: 'shuai',
  YVD: 'chi',
  UWD: 'zhe2',
  DVH: 'mi4',
  CVH: 'bi2',
  hVH: 'yi',
  gVH: 'yi4',
  AVH: 'bi',
  JVL: 'zhu',
  iVH: 'xi',
  dVH: 'ji',
  iVL: 'xu',
  bVL: 'shu2',
  dVL: 'ju',
  PVL: 'ju2',
  lVL: 'yu4',
  NVL: 'ju',
  QVL: 'xu',
  IVL: 'lü4',
  KVL: 'chu',
  LVL: 'zhu2',
  YVL: 'chu',
  OVL: 'qu',
  SVL: 'zhuai',
  iVP: 'xu',
  SWD: 'zhe',
  VWD: 'she',
  DXD: 'wu4',
  AXD: 'fu',
  hXL: 'yu',
  dXL: 'ju',
  eXL: 'qu',
  fXL: 'ju2',
  CXD: 'fu2',
  iXL: 'xu',
  kXL: 'yu4',
  BXD: 'fu',
  gXL: 'yu4',
  iYD: 'xi',
  dYD: 'ji',
  gYD: 'yi4',
  fYD: 'ji2',
  eYD: 'qi',
  gZL: 'yue4',
  CZD: 'fa2',
  kZL: 'yue4',
  dZL: 'jue',
  hZL: 'yue',
  fZL: 'jue2',
  eZL: 'que',
  AZD: 'fa',
  DZD: 'wa4',
  iZL: 'xue',
  hZD: 'ye',
  iZD: 'xie',
  dZD: 'jie',
  fZD: 'jie2',
  BZD: 'fa',
  gZD: 'ye4',
  DaD: 'mo4',
  FaL: 'tu',
  daL: 'gu',
  CaD: 'bo2',
  EaL: 'du',
  GaL: 'du2',
  haL: 'wu',
  iaL: 'hu',
  gaL: 'wu4',
  BaD: 'pu',
  IaL: 'lu4',
  eaL: 'ku',
  HaL: 'nu4',
  QaL: 'su',
  OaL: 'cu',
  PaL: 'zu2',
  jbD: 'he2',
  jaL: 'hu2',
  NaL: 'zu',
  jcD: 'he2',
  icD: 'he',
  EcD: 'da',
  FcD: 'ta',
  hcD: 'e',
  IcD: 'la4',
  ecD: 'ke',
  GcD: 'da2',
  PcD: 'za2',
  gcD: 'e4',
  dcD: 'ge',
  QcD: 'sa',
  OcD: 'ca',
  HcD: 'na4',
  DcD: 'mo4',
  gcL: 'wo4',
  PcL: 'zuo2',
  AcD: 'bo',
  NcD: 'zuo',
  dcL: 'guo',
  ecL: 'kuo',
  jcL: 'huo2',
  GcL: 'duo2',
  icL: 'huo',
  hcL: 'wo',
  NcL: 'zuo',
  BcD: 'po',
  FcL: 'tuo',
  IcL: 'luo4',
  EcL: 'duo',
  OcL: 'cuo',
  CcD: 'bo2',
  jeD: 'xia2',
  SeD: 'zha',
  CeD: 'ba2',
  eeD: 'qia',
  jeL: 'hua2',
  AeD: 'ba',
  JeL: 'zhua',
  heL: 'wa',
  MeL: 'na4',
  TeD: 'chua',
  deL: 'gua',
  deD: 'jia',
  heD: 'ya',
  VeD: 'sha',
  DeD: 'ma',
  ieL: 'xia',
  MeD: 'na4',
  geL: 'wa4',
  eeL: 'kua',
  BeD: 'pa',
  SeL: 'zhua',
  jdD: 'xia2',
  hdD: 'ya',
  gdD: 'ya4',
  TdD: 'cha',
  edD: 'qia',
  idD: 'xia',
  KdD: 'cha',
  ddL: 'gua',
  jdL: 'hua2',
  KdL: 'chua',
  JdL: 'zhua',
  VdL: 'shua',
  gdL: 'wa4',
  TdL: 'chua',
  DdD: 'ma4',
  MdL: 'na4',
  AdD: 'ba',
  ddD: 'jia',
  UdD: 'zha2',
  JdD: 'zha',
  QgD: 'xie',
  OgD: 'qie',
  dgD: 'jie',
  NgD: 'jie',
  igL: 'xue',
  egL: 'que',
  dgL: 'jue',
  jgL: 'xue2',
  hgL: 'yue',
  GgD: 'die2',
  FgD: 'tie',
  jgD: 'xie2',
  HgD: 'nie4',
  PgD: 'jie2',
  ggD: 'ye4',
  DgD: 'mie4',
  AgD: 'bie',
  hgD: 'ye',
  egD: 'qie',
  igD: 'xie',
  BgD: 'pie',
  CgD: 'bie2',
  EgD: 'die',
  IgD: 'lie4',
  QfD: 'xie',
  IfD: 'lie4',
  JfD: 'zhe',
  ffH: 'jie2',
  cfD: 're4',
  XfD: 'zhe',
  bfD: 'she2',
  ZfD: 'she2',
  gfH: 'ye4',
  DfD: 'mie4',
  efH: 'qie',
  AfD: 'bie',
  PfL: 'jue2',
  NfL: 'jue',
  QfL: 'xue',
  KfL: 'chuo',
  lfL: 'yue4',
  efL: 'que',
  hfP: 'yue',
  cfL: 'ruo4',
  afL: 'shuo',
  XfL: 'zhuo',
  YfL: 'chuo',
  JfL: 'zhuo',
  IfL: 'lüe4',
  BfD: 'pie',
  CfH: 'bie2',
  LfD: 'zhe2',
  AfH: 'bie',
  VfL: 'shuo',
  dfH: 'jue',
  afD: 'she',
  MfL: 'nüe4',
  ifP: 'xue',
  hfL: 'yue',
  dfP: 'jue',
  SfL: 'zhuo',
  OfL: 'que',
  NfD: 'jue',
  VfD: 'she',
  hfH: 'ye',
  KfD: 'che',
  ifH: 'xue',
  TfD: 'che',
  RfL: 'xue2',
  YfD: 'che',
  lfD: 'ye4',
  UfD: 'zhe2',
  lpD: 'yue4',
  IpD: 'lüe4',
  dpD: 'jue',
  XpD: 'zhuo',
  apD: 'shuo',
  cpD: 'ruo4',
  YpD: 'chuo',
  hpD: 'yue',
  epD: 'que',
  gpD: 'yue4',
  ZpD: 'shuo2',
  KpD: 'chuo',
  QpD: 'xue',
  SpD: 'zhuo',
  NpD: 'jue',
  PpD: 'jue2',
  OpD: 'que',
  fpD: 'jue2',
  hpL: 'yue',
  CpD: 'fo2',
  ipL: 'xue',
  kpL: 'yue4',
  dpL: 'jue',
  JpD: 'zhuo',
  LpD: 'zhuo2',
  epL: 'que',
  fpL: 'jue2',
  MpD: 'nüe4',
  BpD: 'fo',
  ipD: 'xue',
  GqD: 'duo2',
  DqD: 'mo4',
  IqD: 'luo4',
  FqD: 'tuo',
  NqD: 'zuo',
  OqD: 'cuo',
  dqD: 'ge',
  eqD: 'ke',
  gqD: 'e4',
  BqD: 'po',
  hqD: 'e',
  CqD: 'bo2',
  iqD: 'he',
  QqD: 'suo',
  jqD: 'he2',
  PqD: 'zuo2',
  AqD: 'bo',
  HqD: 'nuo4',
  iqL: 'huo',
  dqL: 'guo',
  hqL: 'wo',
  jqL: 'huo2',
  eqL: 'kuo',
  gqL: 'wo4',
  IqL: 'luo4',
  NqL: 'zuo',
  DrD: 'mo4',
  JrD: 'zhe',
  CrD: 'bo2',
  ArD: 'bo',
  fsD: 'ji2',
  dsD: 'ji',
  VsD: 'shi',
  TsD: 'chi',
  jrL: 'huo2',
  SrD: 'zha',
  UrD: 'zhe2',
  esD: 'qi',
  grD: 'e4',
  gsD: 'yi4',
  erD: 'ke',
  hrD: 'e',
  isD: 'xi',
  KrD: 'che',
  hrL: 'wo',
  BrD: 'po',
  irD: 'he',
  jrD: 'he2',
  drD: 'ge',
  irL: 'huo',
  LrD: 'zhe2',
  drL: 'ge',
  hsL: 'yu',
  MrD: 'nuo4',
  erL: 'kuo',
  CsD: 'bi2',
  DtD: 'mo4',
  jtL: 'huo2',
  dtL: 'guo',
  AtD: 'bo',
  CtD: 'bo2',
  UtD: 'zhe2',
  StD: 'zhe',
  UtL: 'zhuo2',
  TtD: 'che',
  etD: 'ke',
  itL: 'huo',
  jtD: 'he2',
  dtD: 'ge',
  JtD: 'zhe',
  htD: 'e',
  VtD: 'she',
  BtD: 'po',
  gtD: 'e4',
  ItD: 'le4',
  StL: 'zhuo',
  VtL: 'shuo',
  MtD: 'ne4',
  QuD: 'xi',
  NuD: 'ji',
  huD: 'yi',
  luD: 'yi4',
  auD: 'shi',
  YuD: 'chi',
  ZuD: 'shi2',
  XuD: 'zhi',
  LuD: 'zhi2',
  OuD: 'qi',
  RuD: 'xi2',
  PuD: 'ji2',
  CuD: 'bi2',
  luL: 'yu4',
  iuL: 'xu',
  AuD: 'bi',
  BuD: 'pi',
  buD: 'shi2',
  AsD: 'bi',
  JuD: 'zhi',
  KuD: 'chi',
  XuL: 'zhu',
  OuL: 'qu',
  QvD: 'xi',
  dvD: 'ji',
  BvD: 'pi',
  IvD: 'li4',
  EvD: 'di',
  jvD: 'xi2',
  gvD: 'yi4',
  GvD: 'di2',
  FvD: 'ti',
  NvD: 'ji',
  evD: 'qi',
  HvD: 'ni4',
  PvD: 'ji2',
  DvD: 'mi4',
  CvD: 'bi2',
  AvD: 'bi',
  evL: 'qu',
  dvL: 'ju',
  OvD: 'qi',
  ivD: 'xi',
  ivL: 'xu',
  XwD: 'zhi',
  LwD: 'zhi2',
  IwD: 'li4',
  KwD: 'chi',
  JwD: 'zhi',
  bwD: 'shi2',
  QwD: 'xi',
  ZwD: 'shi2',
  awD: 'shi',
  iwD: 'xi',
  UwD: 'zhe2',
  fwD: 'ji2',
  MwD: 'ni4',
  TwD: 'che',
  hwD: 'yi',
  VwD: 'she',
  ewD: 'qi',
  dwD: 'ji',
  lwD: 'yi4',
  NwD: 'ji',
  AwD: 'bi',
  kwL: 'yu4',
  iwL: 'xu',
  BwD: 'pi',
  SwD: 'zhe',
  CwD: 'bi2',
  gwD: 'yi4',
  PwD: 'ji2',
  DwD: 'mi4',
  YwD: 'chi',
  ExD: 'de',
  NxD: 'ze',
  IxD: 'le4',
  exD: 'ke',
  GxD: 'de2',
  ixD: 'he',
  DxD: 'mo4',
  PxD: 'ze2',
  QxD: 'se',
  AxD: 'bo',
  CxD: 'bo2',
  jxL: 'huo2',
  dxL: 'guo',
  hxD: 'e',
  jxD: 'he2',
  HxD: 'ne4',
  dxD: 'ge',
  OxD: 'ce',
  BxD: 'po',
  ixL: 'huo',
  O1D: 'qi',
  Z1D: 'shi2',
  X1D: 'zhi',
  R1D: 'xi2',
  P1D: 'ji2',
  c1D: 'ri4',
  h1D: 'yi',
  a1D: 'shi',
  N1D: 'ji',
  f1H: 'ji2',
  L1D: 'zhi2',
  J1D: 'zhi',
  I1D: 'li4',
  d1H: 'ji',
  g1H: 'yi4',
  e1H: 'qi',
  Q1D: 'xi',
  V1D: 'she',
  i1H: 'xi',
  h1H: 'yi',
  K1D: 'chi',
  k1D: 'yi4',
  l1D: 'yi4',
  M1D: 'ni4',
  U1D: 'zhe2',
  C1H: 'bi2',
  A1H: 'bi',
  T1D: 'che',
  Y1D: 'chi',
  j2D: 'he2',
  d2D: 'ge',
  E2D: 'da',
  Q2D: 'sa',
  G2D: 'da2',
  F2D: 'ta',
  P2D: 'za2',
  N2D: 'za',
  H2D: 'na4',
  e2D: 'ke',
  h2D: 'e',
  i2D: 'he',
  g2D: 'e4',
  O2D: 'ca',
  j3D: 'he2',
  I3D: 'la4',
  E3D: 'da',
  F3D: 'ta',
  i3D: 'he',
  H3D: 'na4',
  G3D: 'da2',
  Q3D: 'sa',
  g3D: 'e4',
  P3D: 'za2',
  d3D: 'ge',
  e3D: 'ke',
  h3D: 'e',
  O3D: 'ca',
  l4D: 'ye4',
  N4D: 'jie',
  a4D: 'she',
  Z4D: 'she2',
  I4D: 'lie4',
  P4D: 'jie2',
  L4D: 'zhe2',
  h4H: 'ye',
  M4D: 'nie4',
  Y4D: 'che',
  c4D: 're4',
  X4D: 'zhe',
  O4D: 'qie',
  K4D: 'che',
  f4H: 'jie2',
  J4D: 'zhe',
  k4D: 'ye4',
  e4D: 'qie',
  V4D: 'she',
  d4H: 'jie',
  h4D: 'ye',
  F5D: 'tie',
  j5D: 'xie2',
  d5D: 'jie',
  e5D: 'qie',
  G5D: 'die2',
  H5D: 'nie4',
  Q5D: 'xie',
  I5D: 'lie4',
  E5D: 'die',
  P5D: 'jie2',
  N5D: 'jie',
  i5D: 'xie',
  j6D: 'xia2',
  e6D: 'qia',
  U6D: 'zha2',
  d6D: 'jia',
  S6D: 'zha',
  T6D: 'cha',
  M6D: 'na4',
  i6D: 'xia',
  V6D: 'sha',
  J6D: 'zha',
  h6D: 'ya',
  g6D: 'ya4',
  K6D: 'cha',
  j7D: 'xia2',
  L7D: 'zha',
  h7D: 'ya',
  d7D: 'jia',
  V7D: 'sha',
  i7D: 'xia',
  g8D: 'ye4',
  i8D: 'xie',
  e8D: 'qie',
  d8D: 'jie',
  h8D: 'ye',
  f8D: 'jie2',
  C9D: 'fa2',
  A9D: 'fa',
  B9D: 'fa',
}[音韻地位.編碼] || '?';
